// with polyfills
import 'core-js/stable';
import 'regenerator-runtime/runtime';

import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store/';
import { VueAxios } from './utils/request';

// mock
// WARNING: `mockjs` NOT SUPPORT `IE` PLEASE DO NOT USE IN `production` ENV.
import './mock';

import bootstrap from './core/bootstrap';
import './core/lazy_use';
import './permission'; // permission control
import './utils/filter'; // global filter
import './components/global.less';
import './styles/index.less';
import echarts from 'echarts';
import FPages from '@/components/FPages.vue';
import DragModal from "./components/DragModal";
Vue.component('FPages', FPages);
Vue.component("DragModal", DragModal);

import "./icons";
import "@/icons/ali-icons/iconfont.css";
import preventReClick from "./utils/preventReClick";

// 引入api
import { api } from './providers/http';
Vue.prototype.$api = api;

// // 上传upload
// import {
// 	uploadFile
// } from './providers/uploadFile'
// Vue.prototype.$upload = uploadFile;

// 引入api-data(本地死数据)
import apiData from './mock/apiData/data';
Vue.prototype.$apiData = apiData;

import VueSplit from 'vue-split-panel';
Vue.use(VueSplit);

// import apiData from './providers/http'
// Vue.prototype.$apiData = apiData;

Vue.config.productionTip = false;

Vue.prototype.$echarts = echarts;

// mount axios Vue.$http and this.$http
Vue.use(VueAxios);

// 树结构
import {
	Cascader,
	Layout,
	Upload,
	Tabs,
	Button,
	Row,
	Col,
	DatePicker,
	Table,
	Form,
	Input,
	Icon,
	Menu,
	Dropdown,
	Card,
	Tree,
	Drawer,
	Select,
	Modal,
	Collapse,
	Affix,
	TreeSelect,
	Comment,
	List,
	Pagination,
	Result,
	Transfer,
	Space
} from 'ant-design-vue';
Vue.use(Cascader)
	.use(Layout)
	.use(Upload)
	.use(Tabs)
	.use(Button)
	.use(Row)
	.use(Col)
	.use(DatePicker)
	.use(Table)
	.use(Form)
	.use(Input)
	.use(Icon)
	.use(Menu)
	.use(Dropdown)
	.use(Tree)
	.use(Card)
	.use(Drawer)
	.use(Tabs)
	.use(Select)
	.use(Collapse)
	.use(Modal)
	.use(TreeSelect)
	.use(Comment)
	.use(List)
	.use(Pagination)
	.use(Result)
	.use(Transfer)
	.use(Space);

new Vue({
	router,
	store,
	created: bootstrap,
	render: h => h(App)
}).$mount('#app');
