import axios from 'axios';
import router from 'vue-router';
import { message } from 'ant-design-vue';
import store from '@/store/';
import Vue from 'vue';
import { ACCESS_TOKEN } from '@/store/mutation-types';

var mfeBasePath = process.env.VUE_APP_MERGE == 1 ? process.env.VUE_APP_BASE_URL_MFE : '';
var globalSwitch = process.env.VUE_APP_ENV == 'dev'; // 全局开关  true-本地开发  false-线上开发
axios.defaults.withCredentials = true;
// axios.defaults.timeout = 20000;
axios.defaults.timeout = 600000;
console.log('调式模式:' + process.env.NODE_ENV + '调用ENV:' + process.env.VUE_APP_ENV);
if (process.env.VUE_APP_ENV == 'dev') {
	//vdi 开发环境
	axios.defaults.baseURL = 'http://10.91.202.121:8081'; //后端地址
	var mfmeaUrl = 'http://10.91.202.121:8081' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://10.91.202.121:8081';
	// var url = 'http://127.0.0.1:8081';
} else if (process.env.VUE_APP_ENV == 'production') {
	//本地开发环境
	axios.defaults.baseURL = 'http://10.91.202.121:8081'; //后端地址
	var mfmeaUrl = 'http://10.91.202.121:8081' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://10.91.202.121:8081';
	// var url = 'http://127.0.0.1:8081';
} else if (process.env.VUE_APP_ENV == 1081) {
	//测试环境
	axios.defaults.baseURL = 'http://139.196.74.209:8090'; //后端地址
	var mfmeaUrl = 'http://139.196.74.209:8090' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://139.196.74.209:8090';
} else if (process.env.VUE_APP_ENV == 'uat') {
	//UAT测试环境
	axios.defaults.baseURL = 'http://localhost:8080'; //后端地址
	var mfmeaUrl = 'http://localhost:8080' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://localhost:8080';
} else if (process.env.VUE_APP_ENV == 'fmea') {
	//正式环境
	axios.defaults.baseURL = 'http://dfmea-pv.saicmotor.com'; //后端地址
	var mfmeaUrl = 'http://dfmea-pv.saicmotor.com' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://dfmea-pv.saicmotor.com';
} else if (process.env.VUE_APP_ENV == 'local') {
	//vdi 开发环境
	axios.defaults.baseURL = 'http://10.91.202.121:8081'; //后端地址
	var mfmeaUrl = 'http://10.91.202.121:8081' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://10.91.202.121:8081';
} else if (process.env.VUE_APP_ENV == 'localDev') {
	//localDev 环境
	axios.defaults.baseURL = '/'; //后端地址
	var mfmeaUrl = 'http://localhost:8081' + mfeBasePath; //编制路径，用于跳转
	var url = 'http://localhost:8080';
}

//http request 拦截器
axios.interceptors.request.use(
	config => {
		var isFile = config.url.indexOf('importPartsExcel') != -1;
		var isUpload = config.url.indexOf('uploadFile') != -1;
		var isImportHistoryFmea = config.url.indexOf('importHistoryFmea') != -1;
		var rb0426045Save = config.url.indexOf('Rb0426045/save') != -1;
		var rb0426046Save = config.url.indexOf('Rb0426046/save') != -1;
		// var rb0426045Save = config.url.indexOf('Rb0426045/save') != -1;
		if (isFile || isUpload || isImportHistoryFmea || rb0426045Save || rb0426046Save) {
			config.data = config.data;
			// config.headers = {
			//     'Content-Type': 'application/x-www-form-urlencoded;charset=utf-8'
			// };
			config.headers = {
				'Content-Type': 'multipart/form-data'
			};
		} else {
			if (config.data && config.data.sso === 'sso') {
				config.withCredentials = false;
			} else {
				config.withCredentials = true;
			}
			config.data = JSON.stringify(config.data);
			config.headers = {
				'Content-Type': 'application/json;charset=UTF-8'
			};
		}

		console.log('request config', config);
		console.log('document.cookie 请求时', document.cookie);
		return config;
	},
	error => {
		return Promise.reject(error);
	}
);

//响应拦截器即异常处理
axios.interceptors.response.use(
	response => {
		// alert(JSON.stringify(response));
		console.log('response 拦截器', response);
		if (response && response.data && response.data.code && (response.data.code == 304 || response.data.code == 100)) {
			store.commit('SET_TOKEN', '');
			store.commit('SET_ROLES', []);
			localStorage.clear();
			localStorage.clear();
			clearAllCookie();
			Vue.ls.remove(ACCESS_TOKEN);
			let data = response.config.data ? JSON.parse(response.config.data) : null;
			if (!(data && data.sso === 'sso')) {
				//判断是不sso页面调用的接口
				location.href = process.env.VUE_APP_DDLogin == 1 ? '/#/sso' : '/#/login';
				throw new Error('登录超时');
			} else {
				return response;
			}
		}
		return response;
	},
	err => {
		if (err && err.response) {
			switch (err.response.status) {
				case 400:
					console.log('错误请求');
					// router.push({
					// 	path: "/login",
					// 	query: {
					// 		redirect: router.currentRoute.fullPath
					// 	} //从哪个页面跳转
					// })
					break;
				case 401:
					console.log('未授权，请重新登录');
					break;
				case 403:
					console.log('拒绝访问');
					break;
				case 404:
					console.log('请求错误,未找到该资源');
					break;
				case 405:
					console.log('请求方法未允许');
					break;
				case 408:
					console.log('请求超时');
					break;
				case 500:
					console.log('服务器端出错');
					break;
				case 501:
					console.log('网络未实现');
					break;
				case 502:
					console.log('网络错误');
					break;
				case 503:
					console.log('服务不可用');
					break;
				case 504:
					console.log('网络超时');
					break;
				case 505:
					console.log('http版本不支持该请求');
					break;
				case 506:
					router.push({
						path: '/login',
						query: {
							redirect: router.currentRoute.fullPath,
							ntimet: new Date().getTime()
						} //从哪个页面跳转
					});
				default:
					console.log(`连接错误${err.response.status}`);
			}
			if (Boolean(err.response.data) && Boolean(err.response.data.message)) {
				message.warning(err.response.data.message);
			}
		} else {
			console.log('连接到服务器失败');
		}
		if (globalSwitch) {
			return Promise.resolve(err.response);
		}
		return Promise.reject(err.response);
	}
);

function clearAllCookie() {
	var keys = document.cookie.match(/[^ =;]+(?=\=)/g);
	if (keys) {
		for (let i = keys.length; i--; ) {
			document.cookie = keys[i] + '=0;expires=' + new Date(0).toUTCString();
		}
	}
}

/**
 * 封装get方法
 * @param url
 * @param params
 * @returns {Promise}
 */

export function fetch(url, params = {}) {
	return new Promise((resolve, reject) => {
		axios
			.get(url, {
				params: params
			})
			.then(
				response => {
					resolve(response != null && response.data != null && response != undefined && response.data != undefined ? response.data : response);
				},
				err => {
					reject(err);
				}
			);
	});
}

/**
 * 封装post请求
 * @param url
 * @param data
 * @returns {Promise}
 */

export function post(url, data = {}) {
	return new Promise((resolve, reject) => {
		axios.post(url, data).then(
			response => {
				resolve(response != null && response.data != null && response != undefined && response.data != undefined ? response.data : response);
			},
			err => {
				reject(err);
			}
		);
	});
}

function download(url, params) {
	return new Promise((resolve, reject) => {
		axios
			.get(url, {
				params: params
			})
			.then(
				response => {
					// const data = response.data;
					// const url = window.URL.createObjectURL(new Blob([data], { type: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' }));
					if (response.status === 200) {
						const url = response.request.responseURL;
						const link = document.createElement('a');
						link.style.display = 'none';
						link.href = url;
						console.log(url, response);
						//注意：上面的self.$route.query.type是你要下载的文件名加文件后缀，例如test.docx
						document.body.appendChild(link);
						link.click();
						document.body.removeChild(link);
					} else {
						message.warning('文件不存在！');
					}
				},
				err => {
					reject(err);
				}
			);
	});
}

/**
 * 封装patch请求
 * @param url
 * @param data
 * @returns {Promise}
 */

export function patch(url, data = {}) {
	return new Promise((resolve, reject) => {
		axios.patch(url, data).then(
			response => {
				resolve(response != null ? response.data : null);
			},
			err => {
				reject(err);
			}
		);
	});
}

/**
 * 封装put请求
 * @param url
 * @param data
 * @returns {Promise}
 */

export function put(url, data = {}) {
	return new Promise((resolve, reject) => {
		axios.put(url, data).then(
			response => {
				resolve(response);
			},
			err => {
				reject(err);
			}
		);
	});
}

// export function setCookie(name, value) {
// 	if (value) {
// 		var days = 1; //定义一天
// 		var exp = new Date();
// 		exp.setTime(exp.getTime() + days * 24 * 60 * 60 * 1000);
// 		// 写入Cookie, toGMTString将时间转换成字符串
// 		document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString;
// 	}
// }

export function getCookie(cookie_name) {
	var allcookies = document.cookie;
	//索引长度，开始索引的位置
	var cookie_pos = allcookies.indexOf(cookie_name);

	// 如果找到了索引，就代表cookie存在,否则不存在
	if (cookie_pos != -1) {
		// 把cookie_pos放在值的开始，只要给值加1即可
		//计算取cookie值得开始索引，加的1为“=”
		cookie_pos = cookie_pos + cookie_name.length + 1;
		//计算取cookie值得结束索引
		var cookie_end = allcookies.indexOf(';', cookie_pos);

		if (cookie_end == -1) {
			cookie_end = allcookies.length;
		}
		//得到想要的cookie的值
		var value = unescape(allcookies.substring(cookie_pos, cookie_end));
	}
	return value;
}

//时间转年月日
export function timeToDate(time) {
	if (time && time != '') {
		let date = new Date(time);
		let y = date.getFullYear();
		let m = date.getMonth() + 1;
		let d = date.getDate();
		m = m < 10 ? '0' + m : m;
		d = d < 10 ? '0' + d : d;
		return y + '-' + m + '-' + d;
	}
	return '';
}

export function delCookie(name) {
	document.cookie = name + '=' + escape('') + ';expires=-1';
}

export function setCookie(name, value) {
	if (value) {
		var days = 1; //定义一天
		var exp = new Date();
		exp.setTime(exp.getTime() + days * 24 * 60 * 60 * 1000);
		// 写入Cookie, toGMTString将时间转换成字符串
		document.cookie = name + '=' + escape(value) + ';expires=' + exp.toGMTString;
	}
}

/**
 * 下面是获取数据的接口
 */
/**
 * 测试接口
 * 名称：exam
 * 参数：paramObj/null
 * 方式：fetch/post/patch/put
 */
export const api = {
	baseUrl: axios.defaults.baseURL,
	// 全局开关  true-本地开发  false-线上开发
	mfmeaURL: mfmeaUrl,
	url: url,
	globalSwitch: globalSwitch,
	delCookie: delCookie,
	setCookie: setCookie,
	get: fetch,
	post: post,
	timeToDate: timeToDate,
	// 测试
	exam: function(paramObj) {
		return post('/DFMEA/home/getMsgList.do', paramObj);
	},
	// 我的项目列表
	myProjectList: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/getMyProjectPageList.do', paramObj);
	},
	// 我的项目-项目编号列表
	myProjectNoList: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getMyProjectNoDict.do', paramObj);
	},
	// 我的项目-新建整车
	createVPMProject: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/createVPMProject.do', paramObj);
	},
	// 我的项目-获取整车项目编号
	getVPMProjectNoDict: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getVPMProjectNoDict.do', paramObj);
	},
	// 我的项目-新建PT
	createPTProject: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/createPTProject.do', paramObj);
	},
	// 我的项目-获取PT项目编号
	getPTProjectNoDict: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getPTProjectNoDict.do', paramObj);
	},
	// 我的项目-删除零部件
	delParts: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/delParts.do', paramObj);
	},
	// 我的项目-获取零部件分页列表
	getPartsPageList: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/getPartsPageList.do', paramObj);
	},
	// 我的项目-获取项目基本信息
	getProjectBaseInfo: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getProjectBaseInfo.do', paramObj);
	},
	// 我的项目-获取项目编辑时基本信息
	// editProjectBaseInfo: function(paramObj) {
	// 	return fetch('/DFMEA/rdfmMyProject/getProjectInfoForEdit.do', paramObj);
	// },
	// 我的项目-导入零部件excel
	importPartsExcel: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/importPartsExcel.do', paramObj);
	},
	// 我的项目-零件数据导出为EXCEL
	exportProjectPartsExcel: function(paramObj) {
		download('/DFMEA/rdfmMyProject/exportProjectPartsExcel.do', paramObj);
	},
	download: function(url, paramObj) {
		download(url, paramObj);
	},
	// 我的项目-GBOM同步
	syncEbomToDfmea: function(paramObj) {
		return fetch('/DFMEA/ebom/syncEbomToDfmea.do', paramObj);
	},
	// 我的项目-获取工程师字典
	getEngineerDict: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getEngineerDict.do', paramObj);
	},
	// 我的项目-获取功能组字典
	getCocDict: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getCocDict.do', paramObj);
	},
	// 我的项目-分发任务
	assignTask: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/assignTask.do', paramObj);
	},
	// 我的项目-获取待分发任务数量
	getWaitAssignTaskCount: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getWaitAssignTaskCount.do', paramObj);
	},
	// 我的项目-获取项目统计
	getProjectStatistics: function(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/getProjectStatistics.do', paramObj);
	},
	// 我的项目-将重名工程师绑定到系统用户
	bindEnginnerUser: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/bindEngineerUser.do', paramObj);
	},
	// 我的项目-选择PSE PQM
	changeProjectOwner: function(paramObj) {
		return post('/DFMEA/rdfmMyProject/changeProjectOwner.do', paramObj);
	},
	// 项目DFMEA - 待添加的内部零部件分页列表
	activateFmea: function(paramObj) {
		return post('/DFMEA/projectDFMEA/activateFmea.do', paramObj);
	},
	// 项目DFMEA - 待添加的内部零部件分页列表
	getInPartsPageList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getInPartsPageList.do', paramObj);
	},
	// 项目DFMEA - 添加内部零部件
	addInParts: function(paramObj) {
		return post('/DFMEA/projectDFMEA/addInParts.do', paramObj);
	},
	// 项目DFMEA - 获取绑定的内部零部件分页列表
	getBindInPartsPageList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getBindInPartsPageList.do', paramObj);
	},
	// 项目DFMEA - 待添加的外部零部件分页列表
	getOutPartsPageList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getOutPartsPageList.do', paramObj);
	},
	// 项目DFMEA - 添加外部零部件
	addOutParts: function(paramObj) {
		return post('/DFMEA/projectDFMEA/addOutParts.do', paramObj);
	},
	// 项目DFMEA - 获取绑定的外部零部件分页列表d
	getBindOutPartsPageList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getBindOutPartsPageList.do', paramObj);
	},
	// 项目DFMEA - 新建 - 删除零部件关系
	delDFMEAParts: function(paramObj) {
		return post('/DFMEA/projectDFMEA/delParts.do', paramObj);
	},
	// 项目DFMEA - 新建 - 获取项目FMEA编号字典
	getProjectFMEACodeDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getProjectFMEACodeDict.do', paramObj);
	},
	// 项目DFMEA - 新建 - 获取Master FMEA编号字典
	getMasterFMEACodeDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getMasterFMEACodeDict.do', paramObj);
	},
	// 项目DFMEA - 新建 - 创建项目DFMEA
	createProjectDFMEA: function(paramObj) {
		return post('/DFMEA/projectDFMEA/createProjectDFMEA.do', paramObj);
	},
	// 项目DFMEA - 获取申请延期详情
	getPrepareApplyDelayDetails: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getPrepareApplyDelayDetails.do', paramObj);
	},
	// 项目DFMEA - 创建申请延期
	createApplyDelay: function(paramObj) {
		return post('/DFMEA/projectDFMEA/createApplyDelay.do', paramObj);
	},
	// 项目DFMEA - 获取项目DFMEA分页列表
	getProjectDFMEAPageList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getProjectDFMEAPageList.do', paramObj);
	},
	// 项目DFMEA - 编制 - 编辑项目DFMEA
	// editProjectDFMEA: function(paramObj) {
	// 	return post('/DFMEA/projectDFMEA/editProjectDFMEA.do', paramObj);
	// },
	// 项目DFMEA - 编制 - 编辑项目DFMEA（改版）
	editProjectDFMEA: function(paramObj) {
		return post('/DFMEA/projectDFMEA/editMyProjectDFMEA.do', paramObj);
	},
	// 项目DFMEA - 查看 - 获取项目DFMEA详情
	getProjectDFMEADetails: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getProjectDFMEADetails.do', paramObj);
	},
	// 项目DFMEA - 获取包含派生的项目DFMEA编号项目
	getProjectDFMEACodeDictIncludeDerive: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getProjectDFMEACodeDictIncludeDerive.do', paramObj);
	},
	getProjectDFMEACodeDictForTG2: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getProjectDFMEACodeDictForTG2.do', paramObj);
	},
	// Master DFMEA - 创建Master DFMEA
	createMasterDFMEA: function(paramObj) {
		return post('/DFMEA/masterFMEA/createMasterDFMEA.do', paramObj);
	},
	// Master DFMEA - 获取Master DFMEA分页列表
	getMasterDFMEAPageList: function(paramObj) {
		return post('/DFMEA/masterFMEA/getMasterDFMEAPageList.do', paramObj);
	},
	// Master DFMEA - 获取Master DFMEA详情
	getMasterDFMEADetails: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getMasterDFMEADetails.do', paramObj);
	},
	// Master DFMEA - 编辑Master DFMEA
	// editMasterDFMEA: function(paramObj) {
	// 	return post('/DFMEA/masterFMEA/editMasterDFMEA.do', paramObj);
	// },
	// Master DFMEA - 编辑Master DFMEA(改版)
	editMasterDFMEA: function(paramObj) {
		return post('/DFMEA/masterFMEA/editMyMasterDFMEA.do', paramObj);
	},
	// Master DFMEA - 获取Master FMEA状态字典
	getMasterFMEAStateDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getMasterFMEAStateDict.do', paramObj);
	},
	// Master DFMEA - 获取FMEA类型字典
	getFMEABusiTypeDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getFMEABusiTypeDict.do', paramObj);
	},
	// Master DFMEA - 获取部门字典
	getDepartmentDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getDepartmentDict.do', paramObj);
	},
	// Master DFMEA - 删除团队成员
	masterFMEADelete: function(paramObj) {
		return post('/DFMEA/masterFMEA/delTeamMember.do', paramObj);
	},
	// Master DFMEA - 获取绑定的团队成员列表
	getMasterFMEAMemberList: function(paramObj) {
		return post('/DFMEA/masterFMEA/getBindTeamMemberList.do', paramObj);
	},
	// Master DFMEA - 获取核心团队角色字典
	getMasterTeamRole: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getCoreTeamRoleDict.do', paramObj);
	},
	// Master DFMEA - 获取扩展团队角色字典
	getExtendedTeamRoleDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getExtendedTeamRoleDict.do', paramObj);
	},
	// // Master DFMEA - 获取团队用户字典
	// getTeamUserDict: function (paramObj) {
	// 	return fetch('/DFMEA/masterFMEA/getTeamUserDict.do', paramObj);
	// },
	// Master DFMEA - 获取团队用户字典
	getTeamUserDict: function(paramObj) {
		return post('/DFMEA/masterFMEA/getTeamUserDictByRoleCode.do', paramObj);
	},
	// Master DFMEA - 保存团队成员
	saveMasterTeamMember: function(paramObj) {
		return post('/DFMEA/masterFMEA/saveTeamMember.do', paramObj);
	},
	// Master DFMEA - 获取项目DFMEA编号字典
	getProjectDFMEACodeDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getProjectDFMEACodeDict.do', paramObj);
	},
	// Master DFMEA - 获取零件开发深度字典
	getMasterPartLevelDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getPartLevelDict.do', paramObj);
	},
	// Master DFMEA - 获取Master FMEA Owner字典
	getMasterFMEAOwnerDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getMasterFMEAOwnerDict.do', paramObj);
	},
	// Master DFMEA - 获取用户分页列表
	getUserPageList: function(paramObj) {
		return post('/DFMEA/userManager/getUserPageList.do', paramObj);
	},
	// 首页-获取消息列表
	getMsgList: function(paramObj) {
		return fetch('/DFMEA/home/getMsgList.do', paramObj);
	},
	// 首页-获取代办任务列表
	getPendingTaskList: function(paramObj) {
		return fetch('/DFMEA/home/getPendingTaskList.do', paramObj);
	},
	// 首页-获取任务和消息统计结果
	resultNum: function(paramObj) {
		return fetch('/DFMEA/home/getTaskAndMsgStatResult.do', paramObj);
	},
	// 工作台 - 消息中心 - 消息中心列表分页
	getRdfmMsgPageList: function(paramObj) {
		return post('/DFMEA/rdfmMsg/getRdfmMsgPageList.do', paramObj);
	},
	// 工作台 - 消息中心 - 查看
	getRdfmMsgLook: function(paramObj) {
		return fetch('/DFMEA/rdfmMsg/getRdfmMsgLook.do', paramObj);
	},
	// 工作台 - 消息中心 - 查看 - 获取详情数据
	getDetailsData: function(paramObj) {
		return fetch('/DFMEA/rdfmMsg/getRdfmMsgLook.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 左侧树结构-子级列表
	getStruTree: function(paramObj) {
		return fetch('/DFMEA/funLib/getStruTree.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 左侧树结构-删除
	deleteFun: function(paramObj) {
		return fetch('/DFMEA/funLib/deleteFun.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 左侧树结构-上下移动
	moveFun: function(paramObj) {
		return post('/DFMEA/funLib/moveFun.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 左侧树结构-添加
	saveFun: function(paramObj) {
		return post('/DFMEA/funLib/saveFun.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 左侧树结构-修改功能分类名称
	updateFun: function(paramObj) {
		return post('/DFMEA/funLib/updateFun.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 右侧表格-编辑列表
	getFunList: function(paramObj) {
		return post('/DFMEA/funLib/funList.do', paramObj);
	},
	// 知识库 - 功能失效页面 - 右侧表格-编辑保存
	saveFunList: function(paramObj) {
		return post('/DFMEA/funLib/saveFunList.do', paramObj);
	},
	// 知识库 - 探测手段库 - 新建保存
	createSave: function(paramObj) {
		return post('/DFMEA/survey/createSave.do', paramObj);
	},
	// 知识库 - 探测手段库 - 禁用
	surveyDisabled: function(paramObj) {
		return fetch('/DFMEA/survey/disabled.do', paramObj);
	},
	// 知识库 - 探测手段库 - 启用
	surveyEnabled: function(paramObj) {
		return fetch('/DFMEA/survey/enabled.do', paramObj);
	},
	// 知识库 - 探测手段库 - 编辑
	surveyEdit: function(paramObj) {
		return fetch('/DFMEA/survey/edit.do', paramObj);
	},
	// 知识库 - 探测手段库 - 编辑保存
	surveyEditSave: function(paramObj) {
		return post('/DFMEA/survey/editSave.do', paramObj);
	},
	// 知识库 - 探测手段库 - 列表
	getSurveyList: function(paramObj) {
		return post('/DFMEA/survey/getSurveyList.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 列表
	historyfailList: function(paramObj) {
		return post('/DFMEA/historyfail/list.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 进入核实页面
	historyfailVerify: function(paramObj) {
		return fetch('/DFMEA/historyfail/verify.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 核实提交
	historyfailSave: function(paramObj) {
		return post('/DFMEA/historyfail/save.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 历史失效问题分析查看
	historyfailDetail: function(paramObj) {
		return post('/DFMEA/historyfail/detail.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 种类字典
	getTypeDict: function(paramObj) {
		return fetch('/DFMEA/historyfail/getTypeDict.do', paramObj);
	},
	// 知识库 - 历史失效案例库 - 分析情况
	getStateDict: function(paramObj) {
		return fetch('/DFMEA/historyfail/getStateDict.do', paramObj);
	},
	// 工作台 - 车辆失效报告列表分页
	getRdfmVehicleFailurePageList: function(paramObj) {
		return post('/DFMEA/failreport/list.do', paramObj);
	},
	// 工作台 - 删除车辆失效报告
	deleteRdfmVehicleFailure: function(paramObj) {
		return fetch('/DFMEA/failreport/del.do', paramObj);
	},
	// 工作台 - 添加车辆失效报告
	insertRdfmVehicleFailure: function(paramObj) {
		return post('/DFMEA/failreport/add.do', paramObj);
	},
	// 工作台 - 编辑车辆失效报告
	updateRdfmVehicleFailure: function(paramObj) {
		return post('/DFMEA/failreport/update.do', paramObj);
	},
	// 工作台 - 获取车辆失效报告详细
	getRdfmVehicleFailureDetail: function(paramObj) {
		return fetch('/DFMEA/failreport/detail.do', paramObj);
	},
	// 工作台 - 上传附件
	uploadFile: function(paramObj) {
		return post('/DFMEA/file/uploadFile.do', paramObj);
	},
	// 工作台 - 删除附件
	delAttachment: function(paramObj) {
		return fetch('/DFMEA/failreport/delAttachment.do', paramObj);
	},
	// FMEA配置管理 - 产品特性分类管理 - 获取产品特性分类详情分页列表
	getProductClassifyDetailPageList: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/getProductClassifyLibPageList.do', paramObj); // getProductClassifyDetailPageList =>getProductClassifyLibPageList
	},
	// // FMEA配置管理 - 产品特性分类管理 - 获取产品特性分类信息
	getProductClassify: function(paramObj) {
		return fetch('/DFMEA/rfmPductClassify/getProductClassify.do', paramObj);
	},
	// FMEA配置管理 - 产品特性分类管理 - 启用
	enabled: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/enabled.do', paramObj);
	},
	// FMEA配置管理 - 产品特性分类管理 - 编辑
	edittProductClassify: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/edit.do', paramObj);
	},
	// FMEA配置管理 - 产品特性分类管理 - 禁用
	disabled: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/disabled.do', paramObj);
	},
	// FMEA配置管理 - AP管理 - 编辑保存
	rfmApEdit: function(paramObj) {
		return post('/DFMEA/rfmAp/edit.do', paramObj);
	},
	// FMEA配置管理 - AP管理 - 获取AP
	getAp: function(paramObj) {
		return fetch('/DFMEA/rfmAp/getAp.do', paramObj);
	},
	// FMEA配置管理 - AP管理 - 获取AP详情分页列表
	getApDetailPageList: function(paramObj) {
		return post('/DFMEA/rfmAp/getApDetailPageList.do', paramObj);
	},
	// 获取更改级别字典
	getChangeLevelDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getChangeLevelDict.do', paramObj);
	},
	// 获取DFMEA Owner字段
	getDFMEAOwnerDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getDFMEAOwnerDict.do', paramObj);
	},
	// 项目DFMEA - 获取部门字典
	getDFMEADepartmentDict_old: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getDepartmentDict.do', paramObj);
	},
	getDFMEADepartmentDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getDepartmentDictByList.do', paramObj);
	},
	getMasterDFMEADepartmentDict: function(paramObj) {
		return fetch('/DFMEA/masterFMEA/getDepartmentDictByList.do', paramObj);
	},
	getSurveyDFMEADepartmentDict: function(paramObj) {
		return fetch('/DFMEA/survey/getDepartmentDictByList.do', paramObj);
	},
	getMarkDFMEADepartmentDict: function(paramObj) {
		return fetch('/DFMEA/rfmStandard/getDepartmentDictByList.do', paramObj);
	},
	// 项目DFMEA - 获取FMEA类型字典
	getDFMEABusiTypeDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getFMEABusiTypeDict.do', paramObj);
	},
	// 获取零件开发深度字典
	getPartLevelDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getPartLevelDict.do', paramObj);
	},
	// 获取项目DEMEA状态字典
	getProjectDFMEAStateDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getProjectDFMEAStateDict.do', paramObj);
	},
	// 项目DFMEA - 提交审批
	submitApproval: function(paramObj) {
		return post('/DFMEA/projectDFMEA/submitApproval.do', paramObj);
	},
	// 项目DFMEA - 获取工程师字典
	getDfmeaEngineerDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getEngineerDict.do', paramObj);
	},
	// 项目DFMEA - 获取功能组字典
	getDfmeaCocDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getCocDict.do', paramObj);
	},
	// 项目DFMEA - 项目编号列表
	getFMEAMyProjectNoList: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getMyProjectNoDict.do', paramObj);
	},
	// 项目DFMEA - DFMAE编号
	getDFMEAProjectCodeDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getProjectDFMEACodeDict.do', paramObj);
	},
	// 工作台 - 任务分页列表
	getSysTaskPageList: function(paramObj) {
		return post('/DFMEA/sysTask/getSysTaskPageList.do', paramObj);
	},
	// 工作台 - 工作台/任务详情
	getSysTaskDetail: function(paramObj) {
		// return fetch('/DFMEA/sysTask/getSysTaskDetail.do', paramObj);
		return fetch('/DFMEA/sysTask/getSysTaskDetailView.do', paramObj);
	},
	// 工作台 - 工作台/任务详情 - 提交
	getTaskComplete: function(paramObj) {
		return post('/DFMEA/approve/complete.do', paramObj);
	},
	// 通用部门字典
	getDepartmentAll: function(paramObj) {
		return fetch('/DFMEA/userManager/getDepartmentDict.do', paramObj);
	},
	// 通用责任人字典
	getSysUserList: function(paramObj) {
		return fetch('/DFMEA/userManager/getSysUserList.do', paramObj);
	},
	// 获取字典表集合
	getCmCodeAll: function(paramObj) {
		return fetch('/DFMEA/cmCode/getCmCodeList.do', paramObj);
	},
	// 项目DFMEA - 获取核心团队角色字典
	getCoreTeamRoleDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getCoreTeamRoleDict.do', paramObj);
	},
	// 项目DFMEA - 删除团队成员
	delTeamMember: function(paramObj) {
		return post('/DFMEA/projectDFMEA/delTeamMember.do', paramObj);
	},
	// 项目DFMEA - 获取绑定的团队成员列表
	getBindTeamMemberList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getBindTeamMemberList.do', paramObj);
	},
	// 项目DFMEA - 获取扩展团队角色字典
	getDFMEAExtendedTeamRoleDict: function(paramObj) {
		return fetch('/DFMEA/projectDFMEA/getExtendedTeamRoleDict.do', paramObj);
	},
	// // 项目DFMEA - 获取团队用户字典
	// getDFMEATeamUserDict: function(paramObj) {
	// 	return fetch('/DFMEA/projectDFMEA/getTeamUserDict.do', paramObj);
	// },
	// 项目DFMEA - 获取团队用户字典
	getDFMEATeamUserDict: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getTeamUserDictByRoleCode.do', paramObj);
	},
	// 项目DFMEA - 保存团队成员
	saveTeamMember: function(paramObj) {
		return post('/DFMEA/projectDFMEA/saveTeamMember.do', paramObj);
	},
	// 评分标准管理 - 启用
	rfmStandardEnabled: function(paramObj) {
		return fetch('/DFMEA/rfmStandard/enabled.do', paramObj);
	},
	// 评分标准管理 - 禁用
	rfmStandardDisabled: function(paramObj) {
		return fetch('/DFMEA/rfmStandard/disabled.do', paramObj);
	},
	// 系统设置-SVPPS管理 - 获取SVPPS数据
	syncDfmeaToSvpps: function(paramObj) {
		return post('/DFMEA/tRdfmSvpps/syncDfmeaToSvpps.do', paramObj);
	},
	// 报表中心-访问报表 - 访问量
	loginAccessReport: function(paramObj) {
		return fetch('/DFMEA/report/loginAccessReport.do', paramObj);
	},
	// 报表中心-访问报表 - 日活跃用户数量报表
	userCountForDay: function(paramObj) {
		return fetch('/DFMEA/report/userCountForDay.do', paramObj);
	},
	// 报表中心-Master FMEA报表
	masterFmeaReport: function(paramObj) {
		return fetch('/DFMEA/report/masterFmea.do', paramObj);
	},
	// 报表中心-项目报表-项目编号
	reportProjectNoList: function(paramObj) {
		return fetch('/DFMEA/pro/reportProjectNoList.do', paramObj);
	},
	// 报表中心-项目报表-项目零部件DFMEA分析完整性报表
	getPartsAll: function(paramObj) {
		return post('/DFMEA/report/partsAll.do', paramObj);
	},
	// 报表中心-项目报表-项目DFMEA完成状态报表
	getDfmeaState: function(paramObj) {
		return post('/DFMEA/report/getDfmeaState.do', paramObj);
	},
	// 报表中心-项目报表-项目优化措施完成状态报表
	getActionState: function(paramObj) {
		return post('/DFMEA/report/getActionState.do', paramObj);
	},
	// 报表中心-项目报表-项目风险数量报表
	getRiskBydep: function(paramObj) {
		return post('/DFMEA/report/getRiskBydep.do', paramObj);
	},
	// 报表中心-月度报表-当月平均每份DFMEA分析时长报表
	getCurMonthDurationAvg: function(paramObj) {
		return fetch('/DFMEA/report/getCurMonthDurationAvg.do', paramObj);
	},
	// 报表中心-月度报表-当月每份项目DFMEA在线分析时长报表
	getDurationByFmea: function(paramObj) {
		return fetch('/DFMEA/report/getDurationByFmea.do', paramObj);
	},
	// 报表中心-月度报表-当月项目DFMEA份数报表
	// getDFmeaNumForMonth: function(paramObj) {
	// 	return fetch('/DFMEA/report/getDFmeaNumForMonth.do', paramObj);
	// },
	getAuditDFmeaNumForMonth: function(paramObj) {
		return fetch('/DFMEA/report/getAuditDFmeaNumForMonth.do', paramObj);
	},
	// 系统设置-svpps管理 - 获取列表
	svppsList: function(paramObj) {
		return post('/DFMEA/svpps/list.do', paramObj);
	},
	// 系统设置-项目信息管理 - 获取列表
	proList: function(paramObj) {
		return post('/DFMEA/pro/list.do', paramObj);
	},
	// 系统设置-项目信息管理 - 获取团队成员列表列表
	proTeamList: function(paramObj) {
		return post('/DFMEA/pro/teamList.do', paramObj);
	},
	// // 系统设置-项目信息管理 - 同步
	// updateProject: function(paramObj) {
	// 	return fetch('/DFMEA/pdpm/updateProject.do', paramObj);
	// },
	// 系统设置-项目信息管理 - 同步
	updateProject: function(paramObj) {
		return fetch('/DFMEA/pdpm/syncPDPMToDFMEA.do', paramObj);
	},
	// 系统设置-项目信息管理 - 用户管理
	usermanagement: function(paramObj) {
		return post('/DFMEA/sysuser/getOrgAll.do', paramObj);
	},
	// 系统设置-项目信息管理 - 右侧列表
	rightList: function(paramObj) {
		return post('/DFMEA/sysuser/getRoleByOrg.do', paramObj);
	},
	// 获取当前登录用户
	getCurrentUser: function(paramObj) {
		return fetch('/DFMEA/userManager/getCurrentUser.do', paramObj);
	},
	// EWO更新处理
	handleEWO: function(paramObj) {
		return post('/DFMEA/sysTask/handleEWO.do', paramObj);
	},

	// add 2020.8.22  我的项目中的新建整车还是新建PT的按钮权限显示接口
	ptOrVpmVBtnFlag(paramObj) {
		return fetch('/DFMEA/rdfmMyProject/checkPTorVPMResource.do', paramObj);
	},

	// add 2020-8-23 读取json文件数据 历史版本
	getVersionInitJson: function(url, paramObj) {
		return fetch(url, paramObj);
	},
	// add 2020-8-24 获取历史版本号列表
	getVersionList: function(paramObj) {
		return post('/DFMEA/projectDFMEA/getInfoVersionPageList.do', paramObj);
	},
	// add 2020-10-10 修改任务为已办
	updateTaskState: function(paramObj) {
		return fetch('/DFMEA/sysTask/updateTaskState.do', paramObj);
	},
	// add 2020-10-13 DFMEA 删除操作
	deleteDFMEA: function(paramObj) {
		return post('/DFMEA/projectDFMEA/deleteDFMEA.do', paramObj);
	},
	// add 2020-10-18 消息中心查询条件类型下拉
	getSelectMessageList: function(paramObj) {
		return fetch('/DFMEA/rdfmMsg/getMsgTypeDict.do', paramObj);
	},
	// add 2020-10-19 权限
	// 部门拉下渲染
	getDepartmentSelectList: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaOrg.do', paramObj);
	},
	// 部门关联渲染
	getDepartmentRelationList: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaOrgRelation.do', paramObj);
	},
	// 部门关联操作 1-添加 2-移除
	changeDepartmentAction: function(paramObj) {
		return post('/DFMEA/fmea/org/doFmeaOrgRelation.do', paramObj);
	},
	// 查询部门员工的树结构tree
	getDepartmentStaffTree: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaOrgUser.do', paramObj);
	},
	// 部门用户操作关联
	changeDepartmentActionRelation: function(paramObj) {
		return post('/DFMEA/fmea/org/doFmeaOrgUser.do', paramObj);
	},
	// 用户角色表格渲染
	getUserInitList: function(paramObj) {
		return post('/DFMEA/fmea/user/getFmeaUserPage.do', paramObj);
	},
	// 用户部门选择添加权限
	changeUserListAction: function(paramObj) {
		return post('/DFMEA/fmea/user/getFmeaUserRoleList.do', paramObj);
	},
	// 用户操作角色
	actionFmeaUserRole: function(paramObj) {
		return post('/DFMEA/fmea/user/doFmeaOrgRole.do', paramObj);
	},
	// 用户移除角色
	// removeFmeaUserRole: function(paramObj) {
	//     return post('/DFMEA/fmea/user/removeFmeaUserRole.do', paramObj)
	// },
	// 部门角色选择列表
	getFmeaOrgRolePageList: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaOrgRolePageList.do', paramObj);
	},
	// 部门角色关联列表
	getSysOrgRoleList: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaSysOrgRoleList.do', paramObj);
	},
	// 查询FMEA角色权限
	getRolePermissionList: function(paramObj) {
		return post('/DFMEA/fmea/role/getFmeaRolePermissionList.do', paramObj);
	},
	// 操作FEMA关联权限
	changeRolePermission: function(paramObj) {
		return post('/DFMEA/fmea/permission/doFmeaOrgPermission.do', paramObj);
	},
	// 操作FEMA角色关联系统角色
	actionFmeaSysRole: function(paramObj) {
		return post('/DFMEA/fmea/role/doFmeaSysRole.do', paramObj);
	},
	// 查询FMEA角色权限
	getFmeaRolePermission: function(paramObj) {
		return post('/DFMEA/fmea/role/getFmeaRolePermissionList.do', paramObj);
	},
	// 查询FMEA关联权限
	getFmeaOrgPermission: function(paramObj) {
		return post('/DFMEA/fmea/permission/getFmeaOrgPermissionList.do', paramObj);
	},
	// 操作Fmea关联权限
	actionFmeaOrgPermission: function(paramObj) {
		return post('/DFMEA/fmea/permission/doFmeaOrgPermission.do', paramObj);
	},
	// 管理员选择生效权限
	// 查询管理员
	getChoiceRole: function(paramObj) {
		return post('/DFMEA/fmea/role/getChoiceRolePageList.do', paramObj);
	},
	// 操作管理员
	chooseRole: function(paramObj) {
		return post('/DFMEA/fmea/role/choiceRole.do', paramObj);
	},
	// 操作管理员
	getRoleUser: function(paramObj) {
		return post('/DFMEA/fmea/role/getRoleUser.do', paramObj);
	},
	// 系统角色关联列表
	changeSysRoleList: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaSysRoleList.do', paramObj);
	},
	// 已关联所有部门
	getAssociatedDepartment: function(paramObj) {
		return post('/DFMEA/fmea/org/getFmeaOrgTree.do', paramObj);
	},
	// 待办点击进入按钮是否可跳转
	getTaskJumpPage: function(paramObj) {
		return fetch('/DFMEA/sysTask/validCreateDFMEA.do', paramObj);
	},
	// add 2020-10-25 流程代理
	getAgentDetail: function(paramObj) {
		return fetch('/DFMEA/processAgent/initAgentDetail.do', paramObj);
	},
	// 操作代理
	actionAgent: function(paramObj) {
		return post('/DFMEA/processAgent/openOrCloseAgent.do', paramObj);
	},
	// 按钮权限
	initBtnRole: function(paramObj) {
		return post('/DFMEA/resource/userFunList.do', paramObj);
	},
	// 2020-11-04 任务类型下拉
	getTaskType: function(paramObj) {
		return fetch('/DFMEA/sysTask/getTaskTypeDict.do', paramObj);
	},

	// 上传文件
	uploadHelpFile: function(paramObj) {
		return post('/DFMEA/waterMark/uploadFile.do', paramObj);
	},
	// 获取帮助文档信息
	getHelpDoc: function(paramObj) {
		return post('/DFMEA/help/getHelpDoc.do', paramObj);
	},
	// 获取帮助文档
	getHelpDocPageList: function(paramObj) {
		return post('/DFMEA/help/getHelpDocPageList.do', paramObj);
	},
	// 删除帮助文档
	delHelpDoc: function(paramObj) {
		return post('/DFMEA/help/delHelpDoc.do', paramObj);
	},
	// 保存帮助文档
	saveHelpDoc: function(paramObj) {
		return post('/DFMEA/help/saveHelpDoc.do', paramObj);
	},
	// 更新帮助文档
	updateHelpDoc: function(paramObj) {
		return post('/DFMEA/help/updateHelpDoc.do', paramObj);
	},


	//添加零部件
	engineerAddParts: function(paramObj) {
		return post('/DFMEA/projectDFMEA/engineerAddParts.do', paramObj);
	},
	//删除零部件
	engineerDelParts: function(paramObj) {
		return post('/DFMEA/projectDFMEA/engineerDelParts.do', paramObj);
	},
	// *** 功能种类 ***
	getRfmAttrPageList: function(paramObj) {
		return fetch('/DFMEA/rfmAttr/Rb04260A1/search.do', paramObj);
	},
	getRfmAttrDetail: function(paramObj) {
		return fetch('/DFMEA/rfmAttr/Rb04260A3/init.do', paramObj);
	},
	saveRfmAttr: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A2/save.do', paramObj);
	},
	updateRfmAttr: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A3/update.do', paramObj);
	},
	saveRfmAttrDetail: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A3/add.do', paramObj);
	},
	updateRfmAttrDetail: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A3/edit.do', paramObj);
	},
	moveRfmAttrDetail: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A3/move.do', paramObj);
	},
	optRfmAttrDetailState: function(paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A3/state.do', paramObj);
	},
	getRfmAttrLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmAttr/Rb04260A4/init.do', paramObj);
	},
	addRfmAttrLanguage: function (paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A4/add.do', paramObj);
	},
	delRfmAttrLanguage: function (paramObj) {
		return post("/DFMEA/rfmAttr/Rb04260A4/delete.do", paramObj);
	},
	getRfmAttrSelectedLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmAttr/Rb04260A5/init.do', paramObj);
	},
	updateRfmAttrSelectedLanguage: function (paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A5/update.do', paramObj);
	},
	getRfmAttrTranslate: function (paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A6/init.do', paramObj);
	},
	saveRfmAttrTranslate: function (paramObj) {
		return post('/DFMEA/rfmAttr/Rb04260A6/save.do', paramObj);
	},
	// *** 功能种类 ***

	// *** 行动优先级 ***
	getRfmApPageList: function(paramObj) {
		return fetch('/DFMEA/rfmAp/Rb04260B1/init.do', paramObj);
	},
	saveRfmAp: function(paramObj) {
		return post('/DFMEA/rfmAp/Rb04260B3/save.do', paramObj);
	},
	updateRfmApDetail: function(paramObj) {
		return post('/DFMEA/rfmAp/Rb04260B5/save.do', paramObj);
	},
	updateRfmApList: function(paramObj) {
		return post('/DFMEA/rfmAp/Rb04260B6/save.do', paramObj);
	},
	optRfmApState: function(paramObj) {
		return post('/DFMEA/rfmAp/Rb04260B1/state.do', paramObj);
	},
	getRfmApDetail: function(paramObj) {
		return fetch('/DFMEA/rfmAp/Rb04260B4/init.do', paramObj);
	},
	// *** 行动优先级 ***


	// *** 特性分类
	getRfmPductClassifyPageList: function(paramObj) {
		return fetch('/DFMEA/rfmPductClassify/Rb0426041/search.do', paramObj);
	},
	optRfmPductClassifyState: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426041/state.do', paramObj);
	},
	saveRfmPductClassify: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426042/save.do', paramObj);
	},
	getRfmPductClassifyDetail: function(paramObj) {
		return fetch('/DFMEA/rfmPductClassify/Rb0426043/init.do', paramObj);
	},
	updateRfmPductClassify: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426044/save.do', paramObj);
	},
	saveRfmPductClassifyDetail: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426045/save.do', paramObj);
	},
	moveRfmPductClassifyDetail: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426043/move.do', paramObj);
	},
	optRfmPductClassifyDetailState: function(paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426043/state.do', paramObj);
	},
	getUpdateRfmPductClassifyDetail: function (paramObj) {
		return fetch('/DFMEA/rfmPductClassify/Rb0426046/init.do', paramObj);
	},
	saveUpdateRfmPductClassifyDetail: function (paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426046/save.do', paramObj);
	},
	getRfmPductClassifyLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmPductClassify/Rb0426047/init.do', paramObj);
	},
	addRfmPductClassifyLanguage: function (paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426047/add.do', paramObj);
	},
	delRfmPductClassifyLanguage: function (paramObj) {
		return post("/DFMEA/rfmPductClassify/Rb0426047/delete.do", paramObj);
	},
	getRfmPductClassifySelectedLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmPductClassify/Rb0426048/init.do', paramObj);
	},
	updateRfmPductClassifySelectedLanguage: function (paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426048/update.do', paramObj);
	},
	getRfmPductClassifyTranslate: function (paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426049/init.do', paramObj);
	},
	saveRfmPductClassifyTranslate: function (paramObj) {
		return post('/DFMEA/rfmPductClassify/Rb0426049/save.do', paramObj);
	},
	// *** 特性分类

	// *** 评分标准
	getRfmStandardPageList: function(paramObj) {
		return fetch('/DFMEA/rfmStandard/Rb0426011/init.do', paramObj);
	},
	saveRfmStandard: function (paramObj) {
		return post('/DFMEA/rfmStandard/Rb0426013/save.do', paramObj);
	},
	getRfmStandardDetail: function (paramObj) {
		return fetch('/DFMEA/rfmStandard/Rb0426014/init.do', paramObj);
	},
	updateRfmStandard: function (paramObj) {
		return post('/DFMEA/rfmStandard/Rb0426015/save.do', paramObj);
	},
	updateRfmStandardDetail: function (paramObj) {
		return post('/DFMEA/rfmStandard/Rb0426016/save.do', paramObj);
	},
	getRfmStandardLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmStandard/Rb0426012/init.do', paramObj);
	},
	addRfmStandardLanguage: function (paramObj) {
		return post('/DFMEA/rfmStandard/Rb0426012/add.do', paramObj);
	},
	delRfmStandardLanguage: function (paramObj) {
		return post("/DFMEA/rfmStandard/Rb0426012/delete.do", paramObj);
	},
	getRfmStandardSelectedLanguage: function (paramObj) {
		return fetch('/DFMEA/rfmStandard/Rb0426017/init.do', paramObj);
	},
	updateRfmStandardSelectedLanguage: function (paramObj) {
		return post('/DFMEA/rfmStandard/Rb0426017/update.do', paramObj);
	},

	// *** 评分标准

	// *** DFMEA库
	getRfmDLibraryPageList: function(paramObj) {
		return fetch('/DFMEA/rfmLibrary/Rb04260C1/search.do', paramObj);
	},
	saveRfmDLibrary: function (paramObj) {
		return post('/DFMEA/rfmLibrary/Rb04260C2/save.do', paramObj);
	},
	getRfmDLibraryDetail: function (paramObj) {
		return fetch('/DFMEA/rfmLibrary/Rb04260C3/init.do', paramObj);
	},
	updateRfmDLibrary: function (paramObj) {
		return post('/DFMEA/rfmLibrary/Rb04260C4/save.do', paramObj);
	},
	updateRfmDLibraryDetail: function (paramObj) {
		return post('/DFMEA/rfmLibrary/Rb04260C5/save.do', paramObj);
	},
	optRfmDLibraryState: function(paramObj) {
		return post('/DFMEA/rfmLibrary/Rb04260C1/state.do', paramObj);
	},

	// *** DFMEA库
};

export function notEmpty(formLength) {
	if (
		formLength === 2 ||
		formLength === 10 ||
		formLength === 20 ||
		formLength === 30 ||
		formLength === 50 ||
		formLength === 60 ||
		formLength === 100 ||
		formLength === 120 ||
		formLength === 180 ||
		formLength === 200 ||
		formLength === 300 ||
		formLength === 500
	) {
		return '输入字段长度不能超过' + formLength + '！';
	}
}

export function uploadFile(fileLength) {
	if (fileLength > 83886080) {
		return '上传文件超过10M请重新上传！';
	}
}

export function uploadType(fileType) {
	if (
		fileType == 'image/jpeg' ||
		fileType == 'image/png' ||
		fileType == 'application/vnd.ms-powerpoint' ||
		fileType == 'application/pdf' ||
		fileType == 'text/plain' ||
		fileType == 'application/vnd.openxmlformats-officedocument.presentationml.presentation' ||
		fileType == 'application/msword' ||
		fileType == 'application/vnd.openxmlformats-officedocument.wordprocessingml.document' ||
		fileType == 'application/vnd.ms-excel' ||
		fileType == 'application/vnd.ms-excel' ||
		fileType == 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
	) {
		// fileType == 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' 新增 by zqs，因为上传不了.xlsx 后缀的文件
		return undefined;
	}
	return '上传文件格式错误请重新上传！';

	switch (fileType) {
		case 'image/jpeg':
			break;

		default:
			break;
	}
}

/**
 * 特殊符号验证
 */
export function teShu(val) {
	var partten = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）——|{}【】‘；：”“'。，、？]");
	return partten.test(val);
}
/**
 * 特殊符号验证
 */
export function teShud(val) {
	var partten = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\]<>/?~！@#￥……&*（）——|{}+-_【】‘；：”“'。，、？]");
	return partten.test(val);
}

/**
 * 只能输入数字和小数点的正则
 *  */
export function numberExp(val) {
	// var reg = /[^\d^\.]+/g;
	var reg = /^[0-9a-zA-Z.]{0,}$/g;
	return val.replace(reg, '');
}

/**
 * 数字，汉字，字母的正则
 *  */
export function partNameExp(val) {
	var reg = /^[0-9a-zA-Z\u4e00-\u9fa5]+$/;
	return val.replace(reg, '');
}

/**
 * 生成一个不会重复的ID
 *  */
// export function GenNonDuplicateID(randomLength) {
//     return Number(Math.random().toString().substr(3, randomLength) + Date.now()).toString(36)
// }

export function GenNonDuplicateID() {
	// return Number(Math.random().toString().substr(3, 20) + Date.now()).toString(36)
	return String(
		Math.random()
			.toString()
			.substr(3, 20) + Date.now()
	).toString(36);
}

/**
 * 获取按钮权限公共方法
 *  */
// export function initBtnRole(paramObj, type) {
//     return new Promise((resolve, reject) => {
//         axios.post('/DFMEA/resource/userFunList.do', paramObj).then(
//             response => {
//                 resolve(response != null && response.data != null && response != undefined && response.data != undefined ?
//                     response.data : response);
//             },
//             err => {
//                 reject(err);
//             }
//         );
//     });
// }
