import Vue from 'vue';
import Router from 'vue-router';
import { constantRouterMap } from './modules/index';

// hack router push callback
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location, onResolve, onReject) {
	if (onResolve || onReject) {
		return originalPush.call(this, location, onResolve, onReject);
	}
	return originalPush.call(this, location).catch(err => err);
};

Vue.use(Router);

export default new Router({
	mode: 'hash', // history
	base: process.env.VUE_APP_MERGE == 1 ? process.env.VUE_APP_BASE_URL_FM : '',
	scrollBehavior: () => ({
		y: 0
	}),
	routes: constantRouterMap
});
