// eslint-disable-next-line
import {
	UserLayout,
	BlankLayout
} from '@/layouts';

// 基础路由
export default [{
		path: '/',
		component: UserLayout,
		redirect: process.env.VUE_APP_DDLogin == 1 ? '/sso' : '/login',
		hidden: true,
		children: [{
				path: 'ssologinout',
				name: 'ssologinout',
				component: () =>
					import( /* webpackChunkName: "user" */ '@/views/SSOLoginOut')
			},
			{
				path: 'login',
				name: 'login',
				component: () =>
					import( /* webpackChunkName: "user" */ '@/views/user/Login')
			},
			{
				path: 'register',
				name: 'register',
				component: () =>
					import( /* webpackChunkName: "user" */ '@/views/user/Register')
			},
			{
				path: 'register-result',
				name: 'registerResult',
				component: () =>
					import( /* webpackChunkName: "user" */ '@/views/user/RegisterResult')
			},
			{
				path: 'recover',
				name: 'recover',
				component: undefined
			}
		]
	},
	{
		path: '/sso',
		component: BlankLayout,
		redirect: '/views/SSO',
		children: [{
			path: '/sso',
			name: 'sso',
			component: () =>
				import('@/views/SSO')
		}]
	},
	{
		path: '/test',
		component: BlankLayout,
		redirect: '/test/home',
		children: [{
			path: 'home',
			name: 'TestHome',
			component: () =>
				import('@/views/Home')
		}]
	},
	{
		path: '/404',
		component: () =>
			import('@/views/exception/404')
	},
	{
		path: '/help',
		component: () =>
			import('@/views/help')
	}
];
