import { PageView } from '@/layouts';

export default [{
        path: '/fmea/project/list',
        name: 'fmea:project:list',
        hidden: false,
        component: () =>
            import ('@/views/fmea/project/list'),
        meta: {
            title: '我的项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard']
        }
    },
    {
        path: '/fmea/project/new',
        name: 'fmea:project:new',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/new'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '新建整车项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },
    {
        path: '/fmea/project/new_pt',
        name: 'fmea:project:new_pt',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/new_pt'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '新建PT项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },
    // {
    // 	path: '/fmea/project/new2',
    // 	name: 'fmea:project:new2',
    // 	hidden: true,
    // 	component: () => import('@/views/fmea/project/new'),
    // 	meta: {
    // 		title: '新建PT项目',
    // 		keepAlive: true,
    // 		icon: 'project',
    // 		permission: ['dashboard']
    // 	}
    // },
    {
        path: '/fmea/project/update1',
        name: 'fmea:project:update1',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/edit'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '编辑整车项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },
    {
        path: '/fmea/project/update2',
        name: 'fmea:project:update2',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/edit_pt'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '编辑PT项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },
    {
        path: '/fmea/project/look1',
        name: 'fmea:project:look1',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/edit'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '查看整车项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },
    {
        path: '/fmea/project/look2',
        name: 'fmea:project:look2',
        hidden: true,
        component: () =>
            import ('@/views/fmea/project/edit_pt'),
        meta: {
            menuPath: '/fmea/project/list',
            title: '查看PT项目',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/project/list',
                meta: {
                    title: '我的项目'
                }
            }
        }
    },{
        path: '/fmea/dfmea',
        name: 'fmea:dfmea',
        hidden: false,
        component: PageView,
        // component: () =>
        //     import ('@/views/fmea/dfmea/list'),
        redirect: '/fmea/dfmea/list',
        meta: {
            crumb: true,
            title: '项目DFMEA',
            icon: 'project',
            permission: ['dashboard']
        },
        children:[{
            path: '/fmea/dfmea/list',
            name: 'fmea:dfmea:my:list',
            hidden: false,
            component: () =>
                import ('@/views/fmea/dfmea/list'),
            meta: {
                title: '我的DFMEA',
                keepAlive: false,
                icon: 'project'
            }
        },{
            path: '/fmea/dfmea/allList',
            name: 'fmea:dfmea:all:list',
            hidden: false,
            component: () =>
                import ('@/views/fmea/dfmea/allList'),
            meta: {
                title: '所有DFMEA',
                keepAlive: false,
                icon: 'project'
            }
        }]
    },
    // {
    //     path: '/fmea/dfmea/list',
    //     name: 'fmea:dfmea:list',
    //     hidden: false,
    //     component: () =>
    //         import ('@/views/fmea/dfmea/list'),
    //     meta: {
    //         title: '项目DFMEA',
    //         keepAlive: false,
    //         icon: 'project',
    //         permission: ['dashboard']
    //     }
    // },
    {
        path: '/fmea/dfmea/new',
        name: 'fmea:dfmea:new',
        hidden: true,
        component: () =>
            import ('@/views/fmea/dfmea/new'),
        meta: {
            menuPath: '/fmea/dfmea/list',
            title: '新建项目DFMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/dfmea/list',
                meta: {
                    title: '项目DFMEA'
                }
            }
        }
    },
    {
        path: '/fmea/dfmea/edit',
        name: 'fmea:dfmea:edit',
        hidden: true,
        component: () =>
            import ('@/views/fmea/dfmea/edit'),
        meta: {
            menuPath: '/fmea/dfmea/list',
            title: '编辑项目DFMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/dfmea/list',
                meta: {
                    title: '项目DFMEA'
                }
            }
        }
    },
    {
        path: '/fmea/dfmea/look',
        name: 'fmea:dfmea:look',
        hidden: true,
        component: () =>
            import ('@/views/fmea/dfmea/look'),
        meta: {
            menuPath: '/fmea/dfmea/list',
            title: '查看项目DFMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/dfmea/list',
                meta: {
                    title: '项目DFMEA'
                }
            }
        }
    },
    {
        path: '/fmea/master',
        name: 'fmea:master',
        hidden: false,
        component: PageView,
        // component: () =>
        //     import ('@/views/fmea/master/list'),
        redirect: '/fmea/master/list',
        meta: {
            crumb: true,
            title: 'Master FMEA',
            icon: 'project',
            permission: ['dashboard']
        },
        children:[{
            path: '/fmea/master/list',
            name: 'fmea:master:my:list',
            hidden: false,
            component: () =>
                import ('@/views/fmea/master/list'),
            meta: {
                title: '我的Master FMEA',
                keepAlive: false,
                icon: 'project'
            }
        },{
            path: '/fmea/master/allList',
            name: 'fmea:master:all:list',
            hidden: false,
            component: () =>
                import ('@/views/fmea/master/allList'),
            meta: {
                title: '所有Master FMEA',
                keepAlive: false,
                icon: 'project'
            }
        }]
    },
    {
        path: '/fmea/master/new',
        name: 'fmea:master:new',
        hidden: true,
        component: () =>
            import ('@/views/fmea/master/new'),
        meta: {
            menuPath: '/fmea/master/list',
            title: '新建 Master FMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/master/list',
                meta: {
                    title: 'Master FMEA'
                }
            }
        }
    },
    {
        path: '/fmea/master/edit',
        name: 'fmea:master:edit',
        hidden: true,
        component: () =>
            import ('@/views/fmea/master/edit'),
        meta: {
            menuPath: '/fmea/master/list',
            title: '编辑 Master FMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/master/list',
                meta: {
                    title: 'Master FMEA'
                }
            }
        }
    },
    {
        path: '/fmea/master/look',
        name: 'fmea:master:look',
        hidden: true,
        component: () =>
            import ('@/views/fmea/master/look'),
        meta: {
            menuPath: '/fmea/master/list',
            title: '查看 Master FMEA',
            keepAlive: false,
            icon: 'project',
            permission: ['dashboard'],
            tocrumb: {
                path: '/fmea/master/list',
                meta: {
                    title: 'Master FMEA'
                }
            }
        }
    }
];