import { PageView } from '@/layouts';

export default [{
    path: '/fmeamanager',
    name: 'settings:fmea:list',
    component: PageView,
    redirect: '/settings/fmea/list',
    hidden: true,
    meta: {
        title: 'FMEA配置管理',
        icon: 'appstore',
        permission: ['table']
    },
    children: [{
            // path: '/setmanager/project/list',
            // name: 'setmanager:project:list',
            path: '/setmanager/project/list',
            name: 'setmanager:project:list',
            hidden: false,
            component: () =>
                import ('@/views/settings/system/project/list'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '项目信息',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/setmanager/project/detail',
            name: 'setmanager:project:detail',
            hidden: false,
            component: () =>
                import ('@/views/settings/system/project/detail'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '项目信息',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/setmanager/svpps/list',
            name: 'setmanager:svpps',//bug4771,原为setmanager:svpps:list
            hidden: false,
            component: () =>
                import ('@/views/settings/system/svpps/list'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: 'SVPPS信息',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/ap/list',
            name: 'fmeamanager:ap:list',
            component: () =>
                import ('@/views/fmeamanager/ap/list'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: 'AP管理',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/ap/new',
            name: 'fmeamanager:ap:new',
            hidden: true,
            component: () =>
                import ('@/views/fmeamanager/ap/new'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '编辑',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard'],
                tocrumb: {
                    path: '/fmeamanager/ap/list',
                    meta: {
                        title: 'AP管理'
                    }
                }
            }
        },
        {
            path: '/fmeamanager/ap/test',
            name: 'fmeamanager:ap:test',
            hidden: true,
            component: () =>
                import ('@/views/fmeamanager/ap/test'),
            meta: {
                title: 'test',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/func/list',
            name: 'fmeamanager:func:list',
            component: () =>
                import ('@/views/fmeamanager/func/list'),
            meta: {
                title: '功能种类管理',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/func/new',
            name: 'fmeamanager:func:new',
            hidden: true,
            component: () =>
                import ('@/views/fmeamanager/func/new'),
            meta: {
                title: '新建功能种类',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/feature/list',
            name: 'fmeamanager:feature:list',
            component: () =>
                import ('@/views/fmeamanager/feature/list'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '关键产品特性管理',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard']
            }
        },
        {
            path: '/fmeamanager/feature/new',
            name: 'fmeamanager:feature:new',
            hidden: true,
            component: () =>
                import ('@/views/fmeamanager/feature/new'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '编辑',
                keepAlive: false,
                icon: 'project',
                permission: ['dashboard'],
                tocrumb: {
                    path: '/fmeamanager/feature/list',
                    meta: {
                        title: '关键产品特性管理'
                    }
                }
            }
        },
        {
            path: '/fmeamanager/procedure/procedure',
            name: 'fmeamanager:procedure:list',
            component: () =>
                import ('@/views/fmeamanager/procedure/procedure'),
            meta: {
                menuPath: '/settings/fmea/list',
                title: '流程代理',
                keepAlive: false,
                icon: 'unordered-list',
                permission: ['dashboard']
            }
        }
    ]
}];
