import { BasicLayout } from '@/layouts';

import Vue from 'vue';
import { ACCESS_TOKEN } from '@/store/mutation-types';

import constant from './constant';
import router_dashboard from './dashboard'; //首页
import router_workbench from './workbench'; //工作台
import router_fmea from './fmea'; //我的项目，DFMEA项目，Master项目
import router_report from './report'; //报表中心
import router_settings from './settings'; //知识库，FMEA配置管理，系统设置
import router_rfmea from './rfmea'; //R-FMEA 配置管理

import router_library from './library'; //补充
import router_setmanager from './setmanager'; //补充
// import router_other from './other';

export const constantRouterMap = constant;

export const asyncRouterMap = getRouterMap;

export function getRouterMap() {
	var map = [
		{
			path: '/',
			name: 'index',
			component: BasicLayout,
			meta: {
				title: '首页'
			},
			redirect: '/dashboard',
			children: [
				...router_dashboard,
				...router_workbench,
				...router_fmea,
				...router_report,
				...router_settings,
				...router_library,
				...router_setmanager,
				...router_rfmea
			]
		},
		{
			path: '*',
			redirect: '/404',
			hidden: true
		}
	];

	var userInfo = localStorage.getItem('userInfo');

	if (!userInfo) {
		//未登录
		return map;
	}
	let m = localStorage.getItem('menuList') || '[]';
	let menuInfo = JSON.parse(m);
	// alert(userInfo);
	// alert(userInfo.userId);
	// alert([10000084252204, 10000084230321, 10000084232441, 10000084232710, 10000084232789].indexOf(userInfo.userId) != -1);
	//获取用户菜单信息
	// if (userInfo.userId && [10000084256539, 10000084230752, 10000084251463].indexOf(userInfo.userId) != -1) { //response.result.userId==1
	// 	menuInfo = [
	// 		"code",
	// 		"dashboard", //首页

	// 		"workbench", //工作台
	// 		"workbench-message-list", //消息中心
	// 		"workbench-message-list--search",
	// 		"workbench-message-list--view",
	// 		"workbench-todo-list", //待办任务
	// 		"workbench-todo-list--search",
	// 		"workbench-todo-list--process-agent",
	// 		"workbench-todo-list--edit",
	// 		"workbench-done-list", //已办任务
	// 		"workbench-done-list--search",
	// 		"workbench-done-list--view",
	// 		"workbench-carFailureReport-list", //list
	// 		"workbench-carFailureReport-list--search",
	// 		"workbench-carFailureReport-list--create",
	// 		"workbench-carFailureReport-list--edit",
	// 		"workbench-carFailureReport-list--view",

	// 		"fmea", //我的项目，项目DFMEA，Master FMEA
	// 		"fmea-project-list", //我的项目
	// 		"fmea-project-list--search",
	// 		"fmea-project-list--create-car",
	// 		"fmea-project-list--create-pt",
	// 		"fmea-project-list--edit",
	// 		"fmea-project-list--view",
	// 		"fmea-dfmea-list", //项目DFMEA
	// 		"fmea-dfmea-list--search",
	// 		"fmea-dfmea-list--create",
	// 		"fmea-dfmea-list--fe",
	// 		"fmea-dfmea-list--delay",
	// 		"fmea-dfmea-list--edit",
	// 		"fmea-dfmea-list--view-fe",
	// 		"fmea-dfmea-list--check-fe",
	// 		"fmea-master-list", //Master FMEA
	// 		"fmea-master-list--search",
	// 		"fmea-master-list--create",
	// 		"fmea-master-list--edit",
	// 		"fmea-master-list--fe",
	// 		"fmea-master-list--view-fe",

	// 		"report", //报表中心
	// 		"report-projectreport-index", //项目报表
	// 		"report-projectreport-index--search",
	// 		"report-projectreport-index--view",
	// 		"report-masterfmeareport-index", //Master FMEA报表
	// 		"report-masterfmeareport-search",
	// 		"report-masterfmeareport-view",
	// 		"report-master-index", //月度报表
	// 		"report-master-index--search",
	// 		"report-master-index--view",
	// 		"report-visit-index", //访问报表
	// 		"report-visit-index--view",

	// 		"settings", //知识库，FMEA配置管理，系统设置
	// 		"settings-library-list", //知识库，
	// 		"settings-fmea-list", //FMEA配置管理
	// 		"settings-system-list", //系统设置

	// 	];
	// } else if (userInfo.userId && [10000084252204, 10000084230321, 10000084232441, 10000084232710, 10000084232789].indexOf(
	// 		userInfo.userId) != -1) { //response.result.userId==1
	// 	menuInfo = [
	// 		"code",
	// 		"dashboard", //首页

	// 		"workbench", //工作台
	// 		"workbench-message-list", //消息中心
	// 		"workbench-message-list--search",
	// 		"workbench-message-list--view",
	// 		"workbench-todo-list", //待办任务
	// 		"workbench-todo-list--search",
	// 		"workbench-todo-list--process-agent",
	// 		"workbench-todo-list--edit",
	// 		"workbench-done-list", //已办任务
	// 		"workbench-done-list--search",
	// 		"workbench-done-list--view",
	// 		"workbench-carFailureReport-list", //list
	// 		"workbench-carFailureReport-list--search",
	// 		"workbench-carFailureReport-list--create",
	// 		"workbench-carFailureReport-list--edit",
	// 		"workbench-carFailureReport-list--view",

	// 		"fmea", //我的项目，项目DFMEA，Master FMEA
	// 		// "fmea-project-list",//我的项目
	// 		// "fmea-project-list--search",
	// 		// "fmea-project-list--create-car",
	// 		// "fmea-project-list--create-pt",
	// 		// "fmea-project-list--edit",
	// 		// "fmea-project-list--view",
	// 		"fmea-dfmea-list", //项目DFMEA
	// 		"fmea-dfmea-list--search",
	// 		"fmea-dfmea-list--create",
	// 		"fmea-dfmea-list--fe",
	// 		"fmea-dfmea-list--delay",
	// 		"fmea-dfmea-list--edit",
	// 		"fmea-dfmea-list--view-fe",
	// 		"fmea-dfmea-list--check-fe",
	// 		"fmea-master-list", //Master FMEA
	// 		"fmea-master-list--search",
	// 		"fmea-master-list--create",
	// 		"fmea-master-list--edit",
	// 		"fmea-master-list--fe",
	// 		"fmea-master-list--view-fe",

	// 		"report", //报表中心
	// 		// "report-projectreport-index",//项目报表
	// 		// "report-projectreport-index--search",
	// 		// "report-projectreport-index--view",
	// 		"report-masterfmeareport-index", //Master FMEA报表
	// 		"report-masterfmeareport-search",
	// 		"report-masterfmeareport-view",
	// 		// "report-master-index",//月度报表
	// 		// "report-master-index--search",
	// 		// "report-master-index--view",
	// 		// "report-visit-index",//访问报表
	// 		// "report-visit-index--view",

	// 		"settings", //知识库，FMEA配置管理，系统设置
	// 		"settings-library-list", //知识库，
	// 		// "settings-fmea-list",//FMEA配置管理
	// 		// "settings-system-list",//系统设置

	// 	];
	// } else if (userInfo.userId && [10000084252989, 10000084278933, 10000084279141].indexOf(userInfo.userId) != -1) { //response.result.userId==1
	// 	menuInfo = [
	// 		"code",
	// 		"dashboard", //首页

	// 		"workbench", //工作台
	// 		"workbench-message-list", //消息中心
	// 		"workbench-message-list--search",
	// 		"workbench-message-list--view",
	// 		"workbench-todo-list", //待办任务
	// 		"workbench-todo-list--search",
	// 		"workbench-todo-list--process-agent",
	// 		"workbench-todo-list--edit",
	// 		"workbench-done-list", //已办任务
	// 		"workbench-done-list--search",
	// 		"workbench-done-list--view",
	// 		"workbench-carFailureReport-list", //list
	// 		"workbench-carFailureReport-list--search",
	// 		"workbench-carFailureReport-list--create",
	// 		"workbench-carFailureReport-list--edit",
	// 		"workbench-carFailureReport-list--view",

	// 		"fmea", //我的项目，项目DFMEA，Master FMEA
	// 		"fmea-project-list", //我的项目
	// 		"fmea-project-list--search",
	// 		"fmea-project-list--create-car",
	// 		"fmea-project-list--create-pt",
	// 		"fmea-project-list--edit",
	// 		"fmea-project-list--view",
	// 		"fmea-dfmea-list", //项目DFMEA
	// 		"fmea-dfmea-list--search",
	// 		"fmea-dfmea-list--create",
	// 		"fmea-dfmea-list--fe",
	// 		"fmea-dfmea-list--delay",
	// 		"fmea-dfmea-list--edit",
	// 		"fmea-dfmea-list--view-fe",
	// 		"fmea-dfmea-list--check-fe",
	// 		// "fmea-master-list",//Master FMEA
	// 		// "fmea-master-list--search",
	// 		// "fmea-master-list--create",
	// 		// "fmea-master-list--edit",
	// 		// "fmea-master-list--fe",
	// 		// "fmea-master-list--view-fe",

	// 		"report", //报表中心
	// 		"report-projectreport-index", //项目报表
	// 		"report-projectreport-index--search",
	// 		"report-projectreport-index--view",
	// 		// "report-masterfmeareport-index",//Master FMEA报表
	// 		// "report-masterfmeareport-search",
	// 		// "report-masterfmeareport-view",
	// 		// "report-master-index",//月度报表
	// 		// "report-master-index--search",
	// 		// "report-master-index--view",
	// 		// "report-visit-index",//访问报表
	// 		// "report-visit-index--view",

	// 		// "settings",//知识库，FMEA配置管理，系统设置
	// 		// "settings-library-list",//知识库，
	// 		// "settings-fmea-list",//FMEA配置管理
	// 		// "settings-system-list",//系统设置

	// 	];
	// } else {
	// 	menuInfo = [
	// 		"code",
	// 		"dashboard", //首页

	// 		"workbench", //工作台
	// 		"workbench-message-list", //消息中心
	// 		"workbench-message-list--search",
	// 		"workbench-message-list--view",
	// 		"workbench-todo-list", //待办任务
	// 		"workbench-todo-list--search",
	// 		"workbench-todo-list--process-agent",
	// 		"workbench-todo-list--edit",
	// 		"workbench-done-list", //已办任务
	// 		"workbench-done-list--search",
	// 		"workbench-done-list--view",
	// 		"workbench-carFailureReport-list", //list
	// 		"workbench-carFailureReport-list--search",
	// 		"workbench-carFailureReport-list--create",
	// 		"workbench-carFailureReport-list--edit",
	// 		"workbench-carFailureReport-list--view",

	// 		"fmea", //我的项目，项目DFMEA，Master FMEA
	// 		"fmea-project-list", //我的项目
	// 		"fmea-project-list--search",
	// 		"fmea-project-list--create-car",
	// 		"fmea-project-list--create-pt",
	// 		"fmea-project-list--edit",
	// 		"fmea-project-list--view",
	// 		"fmea-dfmea-list", //项目DFMEA
	// 		"fmea-dfmea-list--search",
	// 		"fmea-dfmea-list--create",
	// 		"fmea-dfmea-list--fe",
	// 		"fmea-dfmea-list--delay",
	// 		"fmea-dfmea-list--edit",
	// 		"fmea-dfmea-list--view-fe",
	// 		"fmea-dfmea-list--check-fe",
	// 		"fmea-master-list", //Master FMEA
	// 		"fmea-master-list--search",
	// 		"fmea-master-list--create",
	// 		"fmea-master-list--edit",
	// 		"fmea-master-list--fe",
	// 		"fmea-master-list--view-fe",

	// 		"report", //报表中心
	// 		"report-projectreport-index", //项目报表
	// 		"report-projectreport-index--search",
	// 		"report-projectreport-index--view",
	// 		"report-masterfmeareport-index", //Master FMEA报表
	// 		"report-masterfmeareport-search",
	// 		"report-masterfmeareport-view",
	// 		"report-master-index", //月度报表
	// 		"report-master-index--search",
	// 		"report-master-index--view",
	// 		"report-visit-index", //访问报表
	// 		"report-visit-index--view",

	// 		"settings", //知识库，FMEA配置管理，系统设置
	// 		"settings-library-list", //知识库，
	// 		"settings-fmea-list", //FMEA配置管理
	// 		"settings-system-list", //系统设置

	// 	];
	// }

	// let u = JSON.parse(userInfo);
	console.log('router index.js -> menuInfo', menuInfo);
	console.log('router index.js -> menuMap', map);
	if (menuInfo && process.env.VUE_APP_ENV !== 'dev' ) {
		//&& u.userId != '1'
		map[0].children.forEach((firstNode, firstIdx) => {
			if (menuInfo.indexOf(firstNode.name) == -1) {
				map[0].children[firstIdx].hidden = true;
			}
			if (firstNode.children) {
				firstNode.children.forEach((secondNode, secondIdx) => {
					if (menuInfo.indexOf(secondNode.name) == -1) {
						map[0].children[firstIdx].children[secondIdx].hidden = true;
					}
				});
			}
		});
	}
	console.log('router index.js -> menuMap hidden', map);
	return map;
}
