/*
 * @Author: wangming
 * @Date: 2020:06:26 22:47:39
 * @LastEditors: wangming
 * @LastEditTime: 2020:07:26 20:49:16
 * @Description: file content
 */

import { PageView } from '@/layouts';

export default [
	{
		path: '/library',
		name: 'settings:library:list',
		component: PageView,
		redirect: '/settings/library/list',
		hidden: true,
		meta: {
			title: '知识库',
			icon: 'appstore',
			permission: ['table']
		},
		children: [
			{
				path: '/library/historyCase/list',
				name: 'library:historyCase:list',
				hidden: false,
				component: () => import('@/views/library/historyCase/list'),
				meta: {
					menuPath: '/settings/library/list',
					title: '历史失效案例库',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/library/function/list',
				name: 'library:function:list',
				hidden: false,
				component: () => import('@/views/library/function/list'),
				meta: {
					menuPath: '/settings/library/list',
					title: '功能失效库',
					keepAlive: false,
					icon: 'tool',
					permission: ['dashboard']
				}
			},
			{
				path: '/library/probe/list',
				name: 'library:probe:list',
				hidden: false,
				component: () => import('@/views/library/probe/list'),
				meta: {
					menuPath: '/settings/library/list',
					title: '探测手段库',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			}
		]
	}
];
