/*
 * @Author: wangming
 * @Date: 2020:06:16 16:27:53
 * @LastEditors: wangming
 * @LastEditTime: 2020:06:26 23:56:45
 * @Description: file content
 */

import { PageView } from '@/layouts';

export default [
	{
		path: '/report',
		name: 'report',
		hidden: false,
		component: PageView,
		// redirect: '/settings/report/list',
		meta: {
			crumb: true,
			title: '报表中心',
			icon: 'table',
			permission: ['dashboard']
		},
		children: [
			{
				path: '/report/projectreport/index',
				name: 'report:projectreport:index',
				hidden: false,
				component: () => import('@/views/report/projectreport/index'),
				meta: {
					title: '项目报表',
					keepAlive: false,
					icon: 'pie-chart',
					permission: ['dashboard']
				}
			},
			{
				path: '/report/masterfmeareport/index',
				name: 'report:masterfmeareport:index',
				hidden: false,
				component: () => import('@/views/report/masterfmeareport/index'),
				meta: {
					title: 'Master FMEA报表',
					keepAlive: false,
					icon: 'sliders',
					permission: ['dashboard']
				}
			},
			{
				path: '/report/master/index',
				name: 'report:master:index',
				hidden: false,
				component: () => import('@/views/report/master/index'),
				meta: {
					title: '月度报表',
					keepAlive: false,
					icon: 'bar-chart',
					permission: ['dashboard']
				}
			},
			{
				path: '/report/visit/index',
				name: 'report:visit:index',
				hidden: false,
				component: () => import('@/views/report/visit/index'),
				meta: {
					title: '访问报表',
					keepAlive: false,
					icon: 'line-chart',
					permission: ['dashboard']
				}
			}
		]
	}
];
