import { PageView } from '@/layouts';

export default [{
	path: '/rfmea/setting',
	name: 'rfmea:setting',
	component: PageView,
	redirect: '/rfmea/settings/list',
	hidden: true,
	meta: {
		title: '配置管理',
		icon: 'appstore',
		permission: ['table']
	},
	children: [
		{
			path: '/rfmea/settings/rfmAttr/list',
			name: 'rfmea:setting:rfmAttr:list',
			component: () =>
				import ('@/views/rfmea/setting/rfmAttr/list'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '功能种类管理',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard']
			}
		},
		{
			path: '/rfmea/settings/rfmAttr/edit',
			name: 'rfmea:setting:rfmAttr:edit',
			component: () =>
				import ('@/views/rfmea/setting/rfmAttr/edit'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '编辑',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmAttr/list',
					meta: {
						title: '功能种类管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmAp/list',
			name: 'rfmea:setting:rfmAp:list',
			component: () =>
				import ('@/views/rfmea/setting/rfmAp/list'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '行动优先级管理',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard']
			}
		},
		{
			path: '/rfmea/settings/rfmAp/create',
			name: 'rfmea:setting:rfmAp:create',
			component: () =>
				import ('@/views/rfmea/setting/rfmAp/new'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '新建',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmAp/list',
					meta: {
						title: '行动优先级管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmAp/edit',
			name: 'rfmea:setting:rfmAp:edit',
			component: () =>
				import ('@/views/rfmea/setting/rfmAp/edit'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '编辑',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmAp/list',
					meta: {
						title: '行动优先级管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmPductClassify/list',
			name: 'rfmea:setting:rfmPductClassify:list',
			component: () =>
				import ('@/views/rfmea/setting/rfmPductClassify/list'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '特性分类管理',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard']
			}
		},
		{
			path: '/rfmea/settings/rfmPductClassify/edit',
			name: 'rfmea:setting:rfmPductClassify:edit',
			component: () =>
				import ('@/views/rfmea/setting/rfmPductClassify/edit'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '编辑',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmPductClassify/list',
					meta: {
						title: '特性分类管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmStandard/list',
			name: 'rfmea:setting:rfmStandard:list',
			component: () =>
				import ('@/views/rfmea/setting/rfmStandard/list'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '评分标准管理',
				keepAlive: false,
				icon: 'project',
				permission: ['dashboard']
			}
		},
		{
			path: '/rfmea/settings/rfmStandard/create',
			name: 'rfmea:setting:rfmStandard:create',
			hidden: true,
			component: () =>
				import ('@/views/rfmea/setting/rfmStandard/new'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '新建',
				keepAlive: false,
				icon: 'project',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmStandard/list',
					meta: {
						title: '评分标准管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmStandard/edit',
			name: 'rfmea:setting:rfmStandard:edit',
			hidden: true,
			component: () =>
				import ('@/views/rfmea/setting/rfmStandard/edit'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '编辑',
				keepAlive: false,
				icon: 'project',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmStandard/list',
					meta: {
						title: '评分标准管理'
					}
				}
			}
		},
		{
			path: '/rfmea/settings/rfmDLibrary/list',
			name: 'rfmea:setting:rfmDLibrary:list',
			component: () =>
				import ('@/views/rfmea/setting/rfmDLibrary/list'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: 'DFMEA库',
				keepAlive: false,
				icon: 'project',
				permission: ['dashboard']
			}
		},
		{
			path: '/rfmea/settings/rfmDLibrary/edit',
			name: 'rfmea:setting:rfmDLibrary:edit',
			component: () =>
				import ('@/views/rfmea/setting/rfmDLibrary/edit'),
			meta: {
				menuPath: '/rfmea/settings/list',
				title: '编辑',
				keepAlive: false,
				icon: 'unordered-list',
				permission: ['dashboard'],
				tocrumb: {
					path: '/rfmea/settings/rfmDLibrary/list',
					meta: {
						title: 'DFMEA库'
					}
				}
			}
		},
	]
}];
