/*
 * @Author: wangming
 * @Date: 2020:06:28 16:20:21
 * @LastEditors: wangming
 * @LastEditTime: 2020:07:29 21:02:47
 * @Description: file content
 */

import { PageView } from '@/layouts';

export default [
	{
		path: '/setmanager',
		name: 'setmanager',
		component: PageView,
		redirect: '/settings/system/list',
		hidden: true,
		meta: {
			title: '系统设置',
			icon: 'appstore',
			permission: ['table']
		},
		children: [
			{
				// path: '/setmanager/project/list',
				// name: 'setmanager:project:list',
				path: '/setmanager/project/list',
				name: 'setmanager:project:list',
				hidden: false,
				component: () => import('@/views/settings/system/project/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '项目信息',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/project/detail',
				name: 'setmanager:project:detail',
				hidden: false,
				component: () => import('@/views/settings/system/project/detail'),
				meta: {
					menuPath: '/settings/system/list',
					title: '项目信息',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/svpps/list',
				name: 'setmanager:svpps', //bug4771,原为setmanager:svpps:list
				hidden: false,
				component: () => import('@/views/settings/system/svpps/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: 'SVPPS信息',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/mark/list',
				name: 'fmeamanager:mark:list',
				component: () => import('@/views/fmeamanager/mark/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '评分标准管理',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/mark/new',
				name: 'fmeamanager:mark:new',
				hidden: true,
				component: () => import('@/views/fmeamanager/mark/new'),
				meta: {
					menuPath: '/settings/system/list',
					title: '新建评分标准',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/fmeamanager/mark/list',
						meta: {
							title: '评分标准管理'
						}
					}
				}
			},
			{
				path: '/fmeamanager/mark/create',
				name: 'fmeamanager:mark:create',
				hidden: true,
				component: () => import('@/views/fmeamanager/mark/create'),
				meta: {
					menuPath: '/settings/system/list',
					title: '新建评分标准',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/fmeamanager/mark/list',
						meta: {
							title: '评分标准管理'
						}
					}
				}
			},
			{
				path: '/fmeamanager/mark/edit',
				name: 'fmeamanager:mark:edit',
				hidden: true,
				component: () => import('@/views/fmeamanager/mark/edit'),
				meta: {
					menuPath: '/settings/system/list',
					title: '编辑评分标准',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/fmeamanager/mark/list',
						meta: {
							title: '评分标准管理'
						}
					}
				}
			},
			{
				path: '/fmeamanager/ap/list',
				name: 'fmeamanager:ap:list',
				component: () => import('@/views/fmeamanager/ap/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: 'AP管理',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/ap/new',
				name: 'fmeamanager:ap:new',
				hidden: true,
				component: () => import('@/views/fmeamanager/ap/new'),
				meta: {
					menuPath: '/settings/system/list',
					title: '编辑',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/fmeamanager/ap/list',
						meta: {
							title: 'AP管理'
						}
					}
				}
			},
			{
				path: '/fmeamanager/ap/test',
				name: 'fmeamanager:ap:test',
				hidden: true,
				component: () => import('@/views/fmeamanager/ap/test'),
				meta: {
					title: 'test',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/func/list',
				name: 'fmeamanager:func:list',
				component: () => import('@/views/fmeamanager/func/list'),
				meta: {
					title: '功能种类管理',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/func/new',
				name: 'fmeamanager:func:new',
				hidden: true,
				component: () => import('@/views/fmeamanager/func/new'),
				meta: {
					title: '新建功能种类',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/feature/list',
				name: 'fmeamanager:feature:list',
				component: () => import('@/views/fmeamanager/feature/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '关键产品特性管理',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/fmeamanager/feature/new',
				name: 'fmeamanager:feature:new',
				hidden: true,
				component: () => import('@/views/fmeamanager/feature/new'),
				meta: {
					menuPath: '/settings/system/list',
					title: '编辑',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/fmeamanager/feature/list',
						meta: {
							title: '关键产品特性管理'
						}
					}
				}
			},
			{
				path: '/fmeamanager/procedure/procedure',
				name: 'fmeamanager:procedure:list',
				component: () => import('@/views/fmeamanager/procedure/procedure'),
				meta: {
					menuPath: '/settings/system/list',
					title: '流程代理',
					keepAlive: false,
					icon: 'unordered-list',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/user/list',
				name: 'setmanager:user:list',
				hidden: true,
				component: () => import('@/views/settings/system/user/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '用户信息',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/mailSetting/list',
				name: 'setmanager:mailSetting:list',
				hidden: true,
				component: () => import('@/views/settings/system/mailSetting/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '邮箱配置',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/agent/index',
				name: 'setmanager:allow',
				hidden: true,
				component: () => import('@/views/settings/system/agent/index'),
				meta: {
					menuPath: '/settings/system/list',
					title: '代理',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/transfer/index',
				name: 'setmanager:transfer',
				hidden: true,
				component: () => import('@/views/settings/system/transfer/index'),
				meta: {
					menuPath: '/settings/system/list',
					title: '权限转移',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/user/staffing/staffing',
				name: 'setmanager:user:staffing',
				hidden: true,
				component: () => import('@/views/settings/system/user/staffing/staffing'),
				meta: {
					menuPath: '/settings/system/list',
					title: '配置人员',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/user/roleSelection/roleSelection',
				name: 'setmanager:user:roleSelection',
				hidden: true,
				component: () => import('@/views/settings/system/user/roleSelection/roleSelection'),
				meta: {
					menuPath: '/settings/system/list',
					title: '人员选择',
					keepAlive: false,
					icon: 'team',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/authority/list',
				name: 'setmanager:auth:list',
				hidden: false,
				component: () => import('@/views/settings/system/authority/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '权限编辑',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/authority/config',
				name: 'setmanager:authority:config',
				hidden: false,
				component: () => import('@/views/settings/system/authority/config'),
				meta: {
					menuPath: '/setmanager/authority/list',
					title: '配置角色权限',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/setmanager/authority/list',
						meta: {
							title: '配置角色权限'
						}
					}
				}
			},
			{
				path: '/setmanager/authority/association/association',
				name: 'setmanager:association:list',
				hidden: false,
				component: () => import('@/views/settings/system/authority/association/association'),
				meta: {
					menuPath: '/settings/system/list',
					title: '关联角色',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/function/list',
				name: 'setmanager:fun:list',
				hidden: false,
				component: () => import('@/views/settings/system/function/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: '权限分配',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/function/configByUser',
				name: 'setmanager:fun:configByUser',
				hidden: false,
				component: () => import('@/views/settings/system/function/configByUser'),
				meta: {
					menuPath: '/setmanager/function/list',
					title: '按人员分配权限',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/setmanager/function/list',
						meta: {
							title: '权限分配'
						}
					}
				}
			},
			{
				path: '/setmanager/function/configByRole',
				name: 'setmanager:fun:configByRole',
				hidden: false,
				component: () => import('@/views/settings/system/function/configByRole'),
				meta: {
					menuPath: '/setmanager/function/list',
					title: '按角色分配权限',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/setmanager/function/list',
						meta: {
							title: '权限分配'
						}
					}
				}
			},
			{
				path: '/setmanager/function/configByRule',
				name: 'setmanager:fun:configByRule',
				hidden: false,
				component: () => import('@/views/settings/system/function/configByRule'),
				meta: {
					menuPath: '/setmanager/function/list',
					title: '按规则分配权限',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard'],
					tocrumb: {
						path: '/setmanager/function/list',
						meta: {
							title: '权限分配'
						}
					}
				}
			},
			{
				path: '/setmanager/user/detail',
				name: 'setmanager:user:detail',
				hidden: false,
				component: () => import('@/views/settings/system/user/detail'),
				meta: {
					menuPath: '/settings/system/list',
					title: '人员列表',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/help/index',
				name: 'setmanager:help:doc',
				hidden: true,
				component: () => import('@/views/settings/system/help/index'),
				meta: {
					menuPath: '/settings/system/list',
					title: '帮助文档管理',
					keepAlive: false,
					icon: 'iconshuqian',
					permission: ['dashboard']
				}
			},
			{
				path: '/setmanager/pqcp/list',
				name: 'setmanager:pqcp:list',
				hidden: true,
				component: () => import('@/views/settings/system/pqcp/list'),
				meta: {
					menuPath: '/settings/system/list',
					title: 'PQCP关联IDM部门',
					keepAlive: false,
					icon: 'project',
					permission: ['dashboard']
					/*tocrumb: {
						path: '/fmeamanager/mark/list',
						meta: {
							title: '评分标准管理'
						}
					}*/
				}
			}
		]
	}
];
