import { PageView } from '@/layouts';

export default [
	{
		path: '/workbench',
		name: 'workbench',
		hidden: false,
		component: PageView,
		redirect: '/workbench/message/read',
		meta: {
			crumb: true,
			title: '工作台',
			icon: 'laptop',
			permission: ['dashboard']
		},
		children: [
			{
				path: '/workbench/message/detail',
				name: 'workbench:message:detail',
				component: () => import('@/views/workbench/message/detail'),
				hidden: true,
				meta: {
					menuPath: '/workbench/message/unread',
					title: '消息详情',
					keepAlive: false,
					icon: 'message',
					tocrumb: {
						path: '/workbench/message/unread',
						meta: {
							title: '未读消息'
						}
					}
				}
			},
			{
				path: '/workbench/message/detailReaded',
				name: 'workbench:message:detailReaded',
				component: () => import('@/views/workbench/message/detailReaded'),
				hidden: true,
				meta: {
					menuPath: '/workbench/message/read',
					title: '消息详情',
					keepAlive: false,
					icon: 'message',
					tocrumb: {
						path: '/workbench/message/read',
						meta: {
							title: '已读消息'
						}
					}
				}
			},
			{
				path: '/workbench/message/role',
				name: 'workbench:message:role',
				component: () => import('@/views/workbench/message/role'),
				hidden: true,
				meta: {
					menuPath: '/workbench/message/unread',
					title: '消息角色',
					keepAlive: false,
					icon: 'message',
					tocrumb: {
						path: '/workbench/message/unread',
						meta: {
							title: '未读消息'
						}
					}
				}
			},
			{
				path: '/workbench/todo/list',
				name: 'workbench:todo:list',
				hidden: false,
				component: () => import('@/views/workbench/todo/list'),
				meta: {
					title: '待办任务',
					keepAlive: false,
					icon: 'flag',
					permission: ['dashboard']
				}
			},
			{
				path: '/workbench/todo/detail',
				name: 'workbench:todo:detail',
				component: () => import('@/views/workbench/todo/detail'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail2',
				name: 'workbench:todo:detail2',
				component: () => import('@/views/workbench/todo/detail2'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail3',
				name: 'workbench:todo:detail3',
				component: () => import('@/views/workbench/todo/detail3'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail4',
				name: 'workbench:todo:detail4',
				component: () => import('@/views/workbench/todo/detail4'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail5',
				name: 'workbench:todo:detail5',
				component: () => import('@/views/workbench/todo/detail5'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail6',
				name: 'workbench:todo:detail6',
				component: () => import('@/views/workbench/todo/detail6'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail7',
				name: 'workbench:todo:detail7',
				component: () => import('@/views/workbench/todo/detail7'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '流程代理详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/todo/detail8',
				name: 'workbench:todo:detail8',
				component: () => import('@/views/workbench/done/detail8'),
				hidden: true,
				meta: {
					menuPath: '/workbench/todo/list',
					title: '待办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/todo/list',
						meta: {
							title: '待办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/list',
				name: 'workbench:done:list',
				hidden: false,
				component: () => import('@/views/workbench/done/list'),
				meta: {
					title: '已办任务',
					keepAlive: false,
					icon: 'flag',
					permission: ['dashboard']
				}
			},
			{
				path: '/workbench/message/unread',
				name: 'workbench:message:unread',
				hidden: false,
				component: () => import('@/views/workbench/message/list'),
				meta: {
					title: '未读消息',
					keepAlive: false,
					icon: 'message'
				}
			},
			{
				path: '/workbench/message/read',
				name: 'workbench:message:read',
				hidden: false,
				component: () => import('@/views/workbench/message/listReaded'),
				meta: {
					title: '已读消息',
					keepAlive: false,
					icon: 'message'
				}
			},
			{
				path: '/workbench/done/detail',
				name: 'workbench:done:detail',
				component: () => import('@/views/workbench/done/detail'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail2',
				name: 'workbench:done:detail2',
				component: () => import('@/views/workbench/done/detail2'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail3',
				name: 'workbench:done:detail3',
				component: () => import('@/views/workbench/done/detail3'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail4',
				name: 'workbench:done:detail4',
				component: () => import('@/views/workbench/done/detail4'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail5',
				name: 'workbench:done:detail5',
				component: () => import('@/views/workbench/done/detail5'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detailCar',
				name: 'workbench:done:detailCar',
				component: () => import('@/views/workbench/done/detailCar'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail7',
				name: 'workbench:done:detail7',
				component: () => import('@/views/workbench/done/detail7'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},
			{
				path: '/workbench/done/detail8',
				name: 'workbench:done:detail8',
				component: () => import('@/views/workbench/done/detail8'),
				hidden: true,
				meta: {
					menuPath: '/workbench/done/list',
					title: '已办任务详情',
					keepAlive: false,
					icon: 'meflagssage',
					permission: ['dashboard'],
					tocrumb: {
						path: '/workbench/done/list',
						meta: {
							title: '已办任务'
						}
					}
				}
			},

			{
				path: '/workbench/carFailureReport/list',
				name: 'workbench:carFailureReport:list',
				hidden: false,
				component: () => import('@/views/workbench/carFailureReport/list'),
				meta: {
					title: '车辆失效报告',
					keepAlive: false,
					icon: 'car',
					permission: ['dashboard']
				}
			}
		]
	}
];
