export default {
	standardId: '1',
	standardInfo: {
		name: '上汽DFMEA评分标准',
		departmentId: 10000037463341,
		ownerId: 1
	},
	fss: [
		{
			standardLevel: 10,
			sodFlag: '1',
			attr1: '低',
			attr2: '尚未经过验证的新试验方法',
			attr3: null
		},
		{
			standardLevel: 9,
			sodFlag: '1',
			attr1: '中',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之后,老化试验',
			attr3: null
		},
		{
			standardLevel: 8,
			sodFlag: '1',
			attr1: '高',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之前,老化试验',
			attr3: null
		},
		{
			standardLevel: 7,
			sodFlag: '1',
			attr1: '非常高',
			attr2: '公司内首次应用的新技术；没有对产品进行验证的经验；已有预防手段不可直接应用于本项目。',
			attr3: null
		},
		{
			standardLevel: 6,
			sodFlag: '1',
			attr1: '高',
			attr2: '与之前相似的设计，可应用现有的技术；具备对产品进行验证的经验；标准、最佳实践、设计指导等可供参考，但不能完全预防失效发生。',
			attr3: null
		},
		{
			standardLevel: 5,
			sodFlag: '1',
			attr1: '低',
			attr2: '已掌握的技术或已通过验证的设计。具备有效的预防手段。',
			attr3: null
		},
		{
			standardLevel: 4,
			sodFlag: '1',
			attr1: '非常高',
			attr2: '影响到本车辆或其他车辆的操作安全，影响到驾驶员、乘客、道路使用者的健康。',
			attr3: null
		},
		{
			standardLevel: 3,
			sodFlag: '1',
			attr1: '高',
			attr2: '在预期使用寿命内，降低正常驾驶所必须的车辆主要功能',
			attr3: null
		},
		{
			standardLevel: 2,
			sodFlag: '1',
			attr1: '中',
			attr2: '外观、声音、震动或触感令等人感觉非常不舒服',
			attr3: null
		},
		{
			standardLevel: 1,
			sodFlag: '1',
			attr1: '非常低',
			attr2: '没有可察觉到的影响',
			attr3: null
		}
	],
	fso: [
		{
			standardLevel: 10,
			sodFlag: '2',
			attr1: '非常低',
			attr2: '没有为探测失效模式或失效起因而特别地设计试验方法',
			attr3: null
		},
		{
			standardLevel: 9,
			sodFlag: '2',
			attr1: '中',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之后,失效试验',
			attr3: null
		},
		{
			standardLevel: 8,
			sodFlag: '2',
			attr1: '高',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之前,失效试验',
			attr3: null
		},
		{
			standardLevel: 7,
			sodFlag: '2',
			attr1: '极高',
			attr2: '首次应用的新技术，无相关开发经验；没有对产品进行验证的经验；没有标准、最佳实践等预防手段可供参考。',
			attr3: null
		},
		{
			standardLevel: 6,
			sodFlag: '2',
			attr1: '高',
			attr2: '基于已有产品/技术的新设计；没有对产品进行验证的经验；部分标准、最佳实践、设计指导等可供参考，但不能完全应用于本项目。',
			attr3: null
		},
		{
			standardLevel: 5,
			sodFlag: '2',
			attr1: '中',
			attr2: '与现有产品几乎相同的设计；具备对产品进行验证或确认的经验；具备有效的预防手段。',
			attr3: null
		},
		{
			standardLevel: 4,
			sodFlag: '2',
			attr1: '极低',
			attr2: '通过预防控制，失效消除了',
			attr3: null
		},
		{
			standardLevel: 3,
			sodFlag: '2',
			attr1: '高',
			attr2: '在预期使用寿命内，失去正常驾驶所必须的车辆主要功能',
			attr3: null
		},
		{
			standardLevel: 2,
			sodFlag: '2',
			attr1: '中',
			attr2: '降低车辆次要功能',
			attr3: null
		},
		{
			standardLevel: 1,
			sodFlag: '2',
			attr1: '低',
			attr2: '外观、声音、震动或触感令等人感觉不舒服',
			attr3: null
		}
	],
	fsd: [
		{
			standardLevel: 10,
			sodFlag: '3',
			attr1: '非常低',
			attr2: '试验流程尚未开发，试验方法尚未定义',
			attr3: null
		},
		{
			standardLevel: 9,
			sodFlag: '3',
			attr1: '低',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之后,通过/不通过试验',
			attr3: null
		},
		{
			standardLevel: 8,
			sodFlag: '3',
			attr1: '高',
			attr2: '已验证的试验方法，试验计划时间在设计发布TG2之前,通过/不通过试验',
			attr3: null
		},
		{
			standardLevel: 7,
			sodFlag: '3',
			attr1: '非常高',
			attr2: '以往的试验证明不会出现或总是能够探测到失效模式或失效原因^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 6,
			sodFlag: '3',
			attr1: '非常高',
			attr2: '平台/项目内首次应用的新技术；没有对产品进行验证的经验；极少标准、最佳实践等可供参考，且不可直接应用于本项目。^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 5,
			sodFlag: '3',
			attr1: '中',
			attr2: '基于已有成熟产品/技术的改型；具备对更改部分进行验证的经验；标准、最佳实践、设计指导等可用于预防失效原因，但尚未经过验证。^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 4,
			sodFlag: '3',
			attr1: '非常低',
			attr2: '与大量生产的成熟产品几乎相同的设计；具备有效的预防手段。^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 3,
			sodFlag: '3',
			attr1: '非常高',
			attr2: '不符合法规^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 2,
			sodFlag: '3',
			attr1: '中',
			attr2: '失去车辆次要功能^1#2*3$测试',
			attr3: null
		},
		{
			standardLevel: 1,
			sodFlag: '3',
			attr1: '低',
			attr2: '外观、声音、震动或触感令等人感觉中度不舒服',
			attr3: null
		}
	]
};
