export const part_functions = {
    part: "整车",
    functions: [
      { name: "NVH性能", type: "func", has_failture: false },
      { name: "凸出物要求", type: "func", has_failture: false },
      { name: "ELV", type: "func" },
      { name: "VOC", type: "func" },
      { name: "加热要求", type: "feature" },
      { name: "通风要求", type: "func" },
      { name: "撞击保护", type: "func" }
    ]
  };

  export const part_functions_failures = {
    part: "整车",
    functions: [
      { name: "NVH性能", type: "func", has_failture: true },
      {
        name: "座椅振动异响，不满足整车要求",
        type: "failure",
        subof: "NVH性能"
      },
      {
        name: "座椅摩擦异响，不满足整车要求",
        type: "failure",
        subof: "NVH性能"
      },
      {
        name: "座椅晃动异响不满足整车要求",
        type: "failure",
        subof: "NVH性能"
      },
      { name: "凸出物要求", type: "func", has_failture: true },
      {
        name: "座椅振动异响，不满足整车要求",
        type: "failure",
        subof: "凸出物要求"
      },
      {
        name: "座椅摩擦异响，不满足整车要求",
        type: "failure",
        subof: "凸出物要求"
      },
      { name: "ELV", type: "func", has_failture: true },
      { name: "VOC", type: "func" },
      { name: "加热要求", type: "feature" },
      { name: "通风要求", type: "func" },
      { name: "撞击保护", type: "func" }
    ]
  };

  export const sub_parts_functions = [
    {
      part: "阻尼可调悬挂系统",
      functions: [
        { name: "安全要求", type: "func", has_failture: true },
        { name: "法规要求", type: "func" },
        { name: "设计功能需求", type: "func" },
        { name: "功能耐久要求", type: "func" },
        { name: "制造工艺要求", type: "func" },
        { name: "整车装配要求", type: "func" },
        { name: "来自其他系统的要求", type: "func" },
        { name: "售后服务要求", type: "func" },
        { name: "制造工艺", type: "feature" },
        { name: "其他", type: "func" },
        { name: "外观要求", type: "func" },
        { name: "人机工程要求", type: "func" },
        { name: "重量要求", type: "func" },
        { name: "物流包装要求", type: "func" }
      ]
    },
    {
      part: "螺栓连接…",
      functions: [
        { name: "功能1", type: "func" },
        { name: "功能2", type: "func" }
      ]
    }
  ];

  export const sub_parts_functions_failures = [
    {
      part: "阻尼可调悬挂系统",
      functions: [
        { name: "安全要求", type: "func", has_failture: true },
        { name: "法规要求", type: "func" },
        { name: "设计功能需求", type: "func" },
        { name: "功能耐久要求", type: "func" },
        { name: "制造工艺要求", type: "func" },
        { name: "整车装配要求", type: "func" },
        { name: "来自其他系统的要求", type: "func" },
        { name: "售后服务要求", type: "func" },
        { name: "制造工艺", type: "feature" },
        { name: "其他", type: "func" },
        { name: "外观要求", type: "func" },
        { name: "人机工程要求", type: "func" },
        { name: "重量要求", type: "func" },
        { name: "物流包装要求", type: "func" }
      ]
    },
    {
      part: "螺栓连接…",
      functions: [
        { name: "功能1", type: "func" },
        { name: "功能2", type: "func" }
      ]
    }
  ];

  export const function_matrix = {
    "NVH性能-安全要求": true,
    "NVH性能-外观要求": true,
    "凸出物要求-法规要求": true
  };
